# $Revision: 1.755.2.10 $, $Date: 2010/10/07 08:51:06 $
#
# NOTE:
# the following bcond combos will not work
# - without_vserver and any of the following
#   - with_apparmor
#   - with_grsec_minimal
#   - with_grsec_full
#
# LATEST VERSION CHECKER:
# # curl -s http://www.kernel.org/kdist/finger_banner
#
# TODO:
# - benchmark NO_HZ & HZ=1000 vs HZ=300 on i686
# - update or remove tahoe9xx patch2
# - update or remove mpt-fusion patch90
# - update grsec_minimal patch1000:
#   fs/proc/base.c:1484: error: 'struct task_struct' has no member named 'uid'
#
# HOWTO update configuration files:
# - run build
# - add new options to proper config (kernel-multiarch.config, kernel-x86.config, kernel-powerpc.config etc)
# - sort configuration files using:
#   ./kernel-config-sort.pl ~/rpm/BUILD/kernel-%{version}/linux-%{version}/ -a x86 kernel-x86_84.config
#   ./kernel-config-sort.pl ~/rpm/BUILD/kernel-%{version}/linux-%{version} kernel-multiarch.config
#
# Conditional build:
%bcond_without	source		# don't build kernel-source package
%bcond_without	doc			# don't build kernel-doc package
%bcond_without	pcmcia		# don't build pcmcia

%bcond_with	verbose		# verbose build (V=1)
%bcond_without	reiser4		# support for reiser4 fs (experimental)

%bcond_without	grsecurity	# don't build grsecurity nor pax at all
%bcond_without	grsec_full	# build full grsecurity
%bcond_with	grsec_minimal	# build only minimal subset (proc,link,fifo,shm)
%bcond_with	pax		# build pax and full grsecurity (ie. grsec_full && pax)

%bcond_with	fbcondecor	# build fbcondecor (disable FB_TILEBLITTING and affected fb modules)
%bcond_with	pae		# build PAE (HIGHMEM64G) support on uniprocessor
%bcond_with	nfsroot		# build with root on NFS support

%bcond_without	imq		# imq support
%bcond_without	wrr		# wrr support
%bcond_without	esfq		# esfq support
%bcond_without	ipv6		# ipv6 support

%bcond_without	vserver		# support for VServer (enabled by default)
%bcond_without	tuxonice	# support for tuxonice (ex-suspend2) (enabled by default)
%bcond_without	apparmor	# build kernel with apparmor (exerimental mix)

%bcond_with	rescuecd	# build kernel for our rescue

%bcond_with	myown		# build with your own config (kernel-myown.config)

%{?debug:%define with_verbose 1}

%if %{without grsecurity}
%unglobal	with_grsec_full
%unglobal	with_grsec_minimal
%unglobal	with_pax
%endif

%if %{with pax}
%unglobal	with_grsec_minimal
%define		with_grsec_full		1
%define		with_grsecurity		1
%define		with_pax		1
%endif

%if %{with grsec_minimal}
%unglobal	with_pax
%unglobal	with_grsec_full
%define		with_grsecurity		1
%endif

%if %{with grsec_full}
%unglobal	with_grsec_minimal
%define		with_grsecurity		1
%endif

%define		have_drm	1
%define		have_oss	1
%define		have_sound	1
%define		have_pcmcia	1

%if %{with rescuecd}
%unglobal	with_apparmor
%unglobal	with_tuxonice
%unglobal	with_grsecurity
%unglobal	with_grsec_full
%unglobal	with_grsec_minimal
%unglobal	with_pax
%unglobal	with_vserver
%define		have_drm	0
%define		have_sound	0
%endif

%if %{with myown}
%define		have_drm	0
%define		have_oss	0
%define		have_sound	0
%define		have_pcmcia	0
%endif

%ifarch sparc sparc64
%unglobal	with_pcmcia
%define		have_drm	0
%define		have_oss	0
%endif

%if %{without pcmcia}
%define		have_pcmcia	0
%endif

%define		basever		2.6.32
%define		postver		.24
%define		rel		1

%define		_enable_debug_packages			0

%define		tuxonice_version	3.0.1
%define		netfilter_snap		20070806

%if %{with myown}
%if "%{_alt_kernel}" == ""
%define		alt_kernel	myown
%endif
%else
%if %{without rescuecd}
%define		__alt_kernel	%{?with_pax:pax}%{!?with_grsec_full:nogrsecurity}%{!?with_apparmor:noaa}%{?with_pae:pae}
%if "%{__alt_kernel}" != ""
%define		alt_kernel	%{__alt_kernel}
%endif
%else
%define		alt_kernel	rescuecd
%endif
%endif

# kernel release (used in filesystem and eventually in uname -r)
# modules will be looked from /lib/modules/%{kernel_release}
# localversion is just that without version for "> localversion"
%define		localversion	%{rel}
%define		kernel_release	%{version}%{?alt_kernel:_%{alt_kernel}}-%{localversion}

Summary:	The Linux kernel (the core of the Linux operating system)
Summary(de.UTF-8):	Der Linux-Kernel (Kern des Linux-Betriebssystems)
Summary(et.UTF-8):	Linuxi kernel (ehk operatsioonisüsteemi tuum)
Summary(fr.UTF-8):	Le Kernel-Linux (La partie centrale du systeme)
Summary(pl.UTF-8):	Jądro Linuksa
Name:		kernel%{_alt_kernel}
Version:	%{basever}%{postver}
Release:	%{rel}
Epoch:		3
License:	GPL v2
Group:		Base/Kernel
Source0:	http://www.kernel.org/pub/linux/kernel/v2.6/linux-%{basever}.tar.bz2
# Source0-md5:	260551284ac224c3a43c4adac7df4879
%if "%{postver}" != "%{nil}"
Source1:	http://www.kernel.org/pub/linux/kernel/v2.6/patch-%{version}.bz2
# Source1-md5:	e3346e3b4b92f048b8ecded829f45cdf
%endif

Source3:	kernel-autoconf.h
Source4:	kernel-config.h
Source6:	kernel-config.awk
Source7:	kernel-module-build.pl
Source8:	kernel-track-config-change.awk
# not used by kernel.spec, but it's good to have it in SOURCES
Source9:	kernel-config-sort.pl
Source10:	kernel.make

Source20:	kernel-multiarch.config
Source21:	kernel-x86.config
Source22:	kernel-sparc.config
Source23:	kernel-alpha.config
Source24:	kernel-powerpc.config
Source25:	kernel-ia64.config

Source40:	kernel-netfilter.config
Source41:	kernel-patches.config
Source42:	kernel-tuxonice.config
Source43:	kernel-vserver.config
Source45:	kernel-grsec.config

Source49:	kernel-pax.config
Source50:	kernel-no-pax.config
Source51:	kernel-grsec_minimal.config
Source55:	kernel-imq.config
Source56:	kernel-reiser4.config
Source57:	kernel-wrr.config

Source58:	kernel-inittmpfs.config
Source59:	kernel-bzip2-lzma.config

# tahoe9xx http://www.tahoe.pl/drivers/tahoe9xx-2.6.24.patch
Patch2:		kernel-tahoe9xx.patch

# http://dev.gentoo.org/~spock/projects/fbcondecor/archive/fbcondecor-0.9.4-2.6.25-rc6.patch
Patch3:		kernel-fbcondecor.patch
Patch4:		kernel-fbcon-margins.patch

# netfilter related stuff mostly based on patch-o-matic-ng
# snapshot 20070806 with some fixes. Some modules
# were ported to nf_conntrack.

Patch10:	kernel-pom-ng-IPV4OPTSSTRIP.patch
Patch11:	kernel-pom-ng-ipv4options.patch

Patch14:	kernel-pom-ng-ROUTE.patch
Patch16:	kernel-pom-ng-mms-conntrack-nat.patch
Patch22:	kernel-pom-ng-rsh.patch
Patch23:	kernel-pom-ng-rpc.patch

# based on http://mike.it-loops.com/rtsp/rtsp-2.6.26.patch
Patch36:	kernel-nf_rtsp.patch

# http://ftp.linux-vserver.org/pub/people/dhozac/p/k/delta-owner-xid-feat02.diff
Patch37:	kernel-owner-xid.patch

# based on http://www.svn.barbara.eu.org/ipt_account/attachment/wiki/Software/ipt_account-0.1.21-20070804164729.tar.gz?format=raw
Patch38:	kernel-ipt_account.patch

# based on http://www.intra2net.com/de/produkte/opensource/ipt_account/pom-ng-ipt_ACCOUNT-1.12.tgz
Patch39:	kernel-ipt_ACCOUNT.patch

# based on kernel-2.6.25-layer7-2.20.patch from
# http://switch.dl.sourceforge.net/sourceforge/l7-filter/netfilter-layer7-v2.20.tar.gz
Patch40:	kernel-layer7.patch

# http://www.ssi.bg/~ja/nfct/ipvs-nfct-2.6.28-1.diff
Patch41:	kernel-ipvs-nfct.patch

### End netfilter

# http://zph.bratcheda.org/linux-2.6.26.3-zph.patch
Patch49:	kernel-zph.patch

# http://www.linuximq.net/patchs/linux-2.6.32-imq-test2.diff
Patch50:	kernel-imq.patch

# http://www.kernel.org/pub/linux/kernel/people/edward/reiser4/reiser4-for-2.6/reiser4-for-2.6.28.patch.bz2
Patch51:	kernel-reiser4.patch

# http://www.zz9.dk/patches/wrr-linux-071203-2.6.25.patch.gz
Patch52:	kernel-wrr.patch

# http://fatooh.org/esfq-2.6/sfq-2.6.24.1.tar.bz2
Patch53:	kernel-esfq.patch

# http://memebeam.org/free-software/toshiba_acpi/toshiba_acpi-dev_toshiba_test5-linux_2.6.26.patch
Patch54:	kernel-toshiba_acpi.patch

# by Baggins request:
# derived from ftp://ftp.cmf.nrl.navy.mil/pub/chas/linux-atm/vbr/vbr-kernel-diffs
Patch55:	kernel-atm-vbr.patch
Patch56:	kernel-atmdd.patch

# http://synce.svn.sourceforge.net/svnroot/synce/trunk/patches/linux-2.6.22-rndis_host-wm5.patch
Patch59:	kernel-rndis_host-wm5.patch

# Project suspend2 renamed to tuxonice
# http://www.tuxonice.net/downloads/all/tuxonice-3.0.99.32-for-2.6.32.patch.bz2
Patch69:	kernel-tuxonice.patch
Patch70:	kernel-tuxonice-headers.patch

# adds some ids for hostap suported cards and monitor_enable from/for aircrack-ng
# http://patches.aircrack-ng.org/hostap-kernel-2.6.18.patch
Patch85:	kernel-hostap.patch

# Taken from http://download.opensuse.org/factory/repo/src-oss/suse/src/kernel-source-2.6.30-10.3.src.rpm
Patch90:	kernel-mpt-fusion.patch

# based on http://vserver.13thfloor.at/Experimental/patch-2.6.32.8-vs2.3.0.36.29.1.diff
Patch100:	kernel-vserver-2.3.patch
Patch101:	kernel-vserver-fixes.patch

# Wake-On-Lan fix for nForce drivers; using http://atlas.et.tudelft.nl/verwei90/nforce2/wol.html
# Fix verified for that kernel version.
Patch130:	kernel-forcedeth-WON.patch

# http://download.filesystems.org/unionfs/unionfs-2.x/unionfs-2.5.3_for_2.6.31.diff.gz
Patch140:	kernel-unionfs.patch

# aufs1, http://aufs.sourceforge.net/
# aufs1 is NOT maintained since Jan 2009.
Patch145:	kernel-aufs.patch
Patch146:	kernel-aufs-support.patch

Patch148:	kernel-aufs2.patch

Patch150:	kernel-ppc-crtsavres.patch

# git://git.kernel.org/pub/scm/linux/kernel/git/pkl/squashfs-devel.git
Patch160:	kernel-squashfs-lzma.patch

Patch200:	kernel-ppc-ICE-hacks.patch

# The following patch extend the routing functionality in Linux
# to support static routes (defined by user), new way to use the
# alternative routes, the reverse path protection (rp_filter),
# the NAT processing to use correctly the routing when multiple
# gateways are used.
# http://www.ssi.bg/~ja/routes-2.6.28-16.diff
Patch300:	kernel-routes.patch

Patch1000:	kernel-grsec-minimal.patch

Patch2000:	kernel-small_fixes.patch
Patch2001:	kernel-pwc-uncompress.patch
Patch2003:	kernel-regressions.patch

# kill some thousands of warnings
# (only warnings, so just remove parts of this patch if conflics)
Patch2500:	kernel-warnings.patch

# git://kernel.ubuntu.com/ubuntu/ubuntu-karmic.git
# see ubuntu/apparmor dir
Patch5000:	kernel-apparmor.patch

# for rescuecd
# based on http://ftp.leg.uct.ac.za/pub/linux/rip/inittmpfs-2.6.14.diff.gz
Patch7000:	kernel-inittmpfs.patch

# based on http://www.grsecurity.net/~spender/grsecurity-2.1.14-2.6.32.7-201001291848.patch kernel-grsec_full.patch
# NOTE: put raw upstream patches on kernel-grsec_full.patch:GRSECURITY_RAW for reference
#       (since upstream deletes older patches)
Patch9999:	kernel-grsec_full.patch
Patch10000:	kernel-grsec-caps.patch
Patch10001:	kernel-grsec-common.patch
Patch10002:	kernel-grsec_fixes.patch

URL:		http://www.kernel.org/
BuildRequires:	binutils >= 3:2.18
%ifarch sparc sparc64
BuildRequires:	elftoaout
%endif
%ifarch ppc
BuildRequires:	uboot-mkimage
%endif
BuildRequires:	/sbin/depmod
BuildRequires:	gcc >= 5:3.2
BuildRequires:	xz >= 1:4.999.7
AutoReqProv:	no
# for hostname command
BuildRequires:	net-tools
BuildRequires:	perl-base
BuildRequires:	rpm-build >= 4.5-24
BuildRequires:	rpmbuild(macros) >= 1.217
Requires(post):	coreutils
Requires(post):	geninitrd >= 10000-3
Requires(post):	module-init-tools >= 0.9.9
Requires:	/sbin/depmod
Requires:	coreutils
Requires:	geninitrd >= 10000-3
Requires:	module-init-tools >= 0.9.9
Provides:	%{name}(netfilter) = %{netfilter_snap}
Provides:	%{name}(vermagic) = %{kernel_release}
Obsoletes:	kernel-firmware
Obsoletes:	kernel%{_alt_kernel}-isdn-mISDN
Obsoletes:	kernel-misc-acer_acpi
Obsoletes:	kernel-misc-fuse
Obsoletes:	kernel-misc-uvc
Obsoletes:	kernel-modules
Obsoletes:	kernel-net-ar81
Obsoletes:	kernel-net-hostap
Obsoletes:	kernel-net-ieee80211
Obsoletes:	kernel-net-ipp2p
Obsoletes:	kernel-net-rt61
Obsoletes:	kernel-smp
Conflicts:	e2fsprogs < 1.29
Conflicts:	isdn4k-utils < 3.1pre1
Conflicts:	jfsutils < 1.1.3
Conflicts:	module-init-tools < 0.9.10
Conflicts:	nfs-utils < 1.0.5
Conflicts:	oprofile < 0.9
Conflicts:	ppp < 1:2.4.0
Conflicts:	procps < 3.2.0
Conflicts:	quota-tools < 3.09
%if %{with reiserfs4}
Conflicts:	reiser4progs < 1.0.0
%endif
Conflicts:	reiserfsprogs < 3.6.3
Conflicts:	udev < 1:081
Conflicts:	util-linux < 2.10o
Conflicts:	util-vserver < 0.30.216
Conflicts:	xfsprogs < 2.6.0
%if %{with pae}
ExcludeArch:	i386 i486 i586
%else
ExclusiveArch:	%{ix86} %{x8664} alpha arm ia64 ppc ppc64 sparc sparc64
%endif
ExclusiveOS:	Linux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%ifarch %{ix86} %{x8664}
%define		target_arch_dir		x86
%endif
%ifarch ppc ppc64
%define		target_arch_dir		powerpc
%endif
%ifarch sparc sparc64
%define		target_arch_dir		sparc
%endif
%ifnarch %{ix86} %{x8664} ppc ppc64 sparc sparc64
%define		target_arch_dir		%{_target_base_arch}
%endif

%define		defconfig	arch/%{target_arch_dir}/defconfig

# No ELF objects there to strip (skips processing 27k files)
%define		_noautostrip	\\(.*%{_kernelsrcdir}/.*\\|.*/vmlinux.*\\)
%define		_noautochrpath	.*%{_kernelsrcdir}/.*

%ifarch ia64
%define		initrd_dir	/boot/efi
%else
%define		initrd_dir	/boot
%endif

%define		topdir		%{_builddir}/%{name}-%{version}
%define		srcdir		%{topdir}/linux-%{basever}
%define		objdir		%{topdir}/%{targetobj}
%define		targetobj	%{_target_base_arch}-gcc-%(%{kgcc} -dumpversion)

%define		_kernelsrcdir	/usr/src/linux%{_alt_kernel}-%{version}

%if "%{_target_base_arch}" != "%{_arch}"
	%define CrossOpts ARCH=%{_target_base_arch} CROSS_COMPILE=%{_target_cpu}-pld-linux-
	%define	DepMod /bin/true

	%if "%{_arch}" == "sparc" && "%{_target_base_arch}" == "sparc64"
	%define	CrossOpts ARCH=%{_target_base_arch} CC="%{__cc}"
	%define	DepMod /sbin/depmod
	%endif

	%if "%{_arch}" == "sparc64" && "%{_target_base_arch}" == "sparc"
	%define	CrossOpts ARCH=%{_target_base_arch} CC="%{__cc}"
	%define	DepMod /sbin/depmod
	%endif

	%if "%{_arch}" == "x86_64" && "%{_target_base_arch}" == "i386"
	%define	CrossOpts ARCH=%{_target_base_arch} CC="%{__cc}"
	%define	DepMod /sbin/depmod
	%endif

	%if "%{_target_base_arch}" == "ppc" || "%{_target_base_arch}" == "ppc64"
	%define CrossOpts ARCH=powerpc CROSS_COMPILE=%{_target_cpu}-pld-linux-
	%endif
%else
	%ifarch ppc ppc64
	%define CrossOpts ARCH=powerpc CC="%{__cc}"
	%else
	%define CrossOpts ARCH=%{_target_base_arch} CC="%{__cc}"
	%endif
	%define	DepMod /sbin/depmod
%endif
%define MakeOpts %{CrossOpts} HOSTCC="%{__cc}"

%define __features Netfilter module dated: %{netfilter_snap}\
%{?with_grsec_full:Grsecurity support - enabled}\
%{?with_grsec_minimal:Grsecurity minimal support /proc,link,fifo,shm/ - enabled}\
%{?with_pax:PaX support - enabled}\
%{?with_fbcondecor:Fbsplash/fbcondecor - enabled }\
%{?with_nfsroot:Root on NFS - enabled}\
%{?with_apparmor:apparmor support - enabled}\

%define Features %(echo "%{__features}" | sed '/^$/d')

%description
This package contains the Linux kernel that is used to boot and run
your system. It contains few device drivers for specific hardware.
Most hardware is instead supported by modules loaded after booting.

%{Features}

%description -l de.UTF-8
Das Kernel-Paket enthält den Linux-Kernel (vmlinuz), den Kern des
Linux-Betriebssystems. Der Kernel ist für grundliegende
Systemfunktionen verantwortlich: Speicherreservierung,
Prozeß-Management, Geräte Ein- und Ausgaben, usw.

%{Features}

%description -l fr.UTF-8
Le package kernel contient le kernel linux (vmlinuz), la partie
centrale d'un système d'exploitation Linux. Le noyau traite les
fonctions basiques d'un système d'exploitation: allocation mémoire,
allocation de process, entrée/sortie de peripheriques, etc.

%{Features}

%description -l pl.UTF-8
Pakiet zawiera jądro Linuksa niezbędne do prawidłowego działania
Twojego komputera. Zawiera w sobie sterowniki do sprzętu znajdującego
się w komputerze, takiego jak sterowniki dysków itp.

%{Features}

%package vmlinux
Summary:	vmlinux - uncompressed kernel image
Summary(de.UTF-8):	vmlinux - dekompressiertes Kernel Bild
Summary(pl.UTF-8):	vmlinux - rozpakowany obraz jądra
Group:		Base/Kernel
Obsoletes:	kernel-smp-vmlinux

%description vmlinux
vmlinux - uncompressed kernel image.

%description vmlinux -l de.UTF-8
vmlinux - dekompressiertes Kernel Bild.

%description vmlinux -l pl.UTF-8
vmlinux - rozpakowany obraz jądra.

%package drm
Summary:	DRM kernel modules
Summary(de.UTF-8):	DRM Kernel Treiber
Summary(pl.UTF-8):	Sterowniki DRM
Group:		Base/Kernel
Requires(postun):	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	kernel-smp-drm
AutoReqProv:	no

%description drm
DRM kernel modules.

%description drm -l de.UTF-8
DRM Kernel Treiber.

%description drm -l pl.UTF-8
Sterowniki DRM.

%package pcmcia
Summary:	PCMCIA modules
Summary(de.UTF-8):	PCMCIA Module
Summary(pl.UTF-8):	Moduły PCMCIA
Group:		Base/Kernel
Requires(postun):	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	kernel-smp-pcmcia
Conflicts:	pcmcia-cs < 3.1.21
Conflicts:	pcmciautils < 004
AutoReqProv:	no

%description pcmcia
PCMCIA modules.

%description pcmcia -l de.UTF-8
PCMCIA Module.

%description pcmcia -l pl.UTF-8
Moduły PCMCIA.

%package sound-alsa
Summary:	ALSA kernel modules
Summary(de.UTF-8):	ALSA Kernel Module
Summary(pl.UTF-8):	Sterowniki dźwięku ALSA
Group:		Base/Kernel
Requires(postun):	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	kernel-smp-sound-alsa
AutoReqProv:	no

%description sound-alsa
ALSA (Advanced Linux Sound Architecture) sound drivers.

%description sound-alsa -l de.UTF-8
ALSA (Advanced Linux Sound Architecture) Sound-Treiber.

%description sound-alsa -l pl.UTF-8
Sterowniki dźwięku ALSA (Advanced Linux Sound Architecture).

%package sound-oss
Summary:	OSS kernel modules
Summary(de.UTF-8):	OSS Kernel Module
Summary(pl.UTF-8):	Sterowniki dźwięku OSS
Group:		Base/Kernel
Requires(postun):	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	kernel-smp-sound-oss
AutoReqProv:	no

%description sound-oss
OSS (Open Sound System) drivers.

%description sound-oss -l de.UTF-8
OSS (Open Sound System) Treiber.

%description sound-oss -l pl.UTF-8
Sterowniki dźwięku OSS (Open Sound System).

%package headers
Summary:	Header files for the Linux kernel
Summary(de.UTF-8):	Header Dateien für den Linux-Kernel
Summary(pl.UTF-8):	Pliki nagłówkowe jądra Linuksa
Group:		Development/Building
Provides:	%{name}-headers(netfilter) = %{netfilter_snap}
AutoReqProv:	no

%description headers
These are the C header files for the Linux kernel, which define
structures and constants that are needed when rebuilding the kernel or
building kernel modules.

%description headers -l de.UTF-8
Dies sind die C Header Dateien für den Linux-Kernel, die definierte
Strukturen und Konstante beinhalten, die beim rekompilieren des
Kernels oder bei Kernel Modul kompilationen gebraucht werden.

%description headers -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe jądra, niezbędne do rekompilacji jądra
oraz budowania modułów jądra.

%package module-build
Summary:	Development files for building kernel modules
Summary(de.UTF-8):	Development Dateien die beim Kernel Modul kompilationen gebraucht werden
Summary(pl.UTF-8):	Pliki służące do budowania modułów jądra
Group:		Development/Building
Requires:	%{name}-headers = %{epoch}:%{version}-%{release}
Conflicts:	rpmbuild(macros) < 1.321
AutoReqProv:	no

%description module-build
Development files from kernel source tree needed to build Linux kernel
modules from external packages.

%description module-build -l de.UTF-8
Development Dateien des Linux-Kernels die beim kompilieren externer
Kernel Module gebraucht werden.

%description module-build -l pl.UTF-8
Pliki ze drzewa źródeł jądra potrzebne do budowania modułów jądra
Linuksa z zewnętrznych pakietów.

%package source
Summary:	Kernel source tree
Summary(de.UTF-8):	Der Kernel Quelltext
Summary(pl.UTF-8):	Kod źródłowy jądra Linuksa
Group:		Development/Building
Requires:	%{name}-module-build = %{epoch}:%{version}-%{release}
AutoReqProv:	no

%description source
This is the source code for the Linux kernel. You can build a custom
kernel that is better tuned to your particular hardware.

%description source -l de.UTF-8
Das Kernel-Source-Paket enthält den source code (C/Assembler-Code) des
Linux-Kernels. Die Source-Dateien werden gebraucht, um viele
C-Programme zu kompilieren, da sie auf Konstanten zurückgreifen, die
im Kernel-Source definiert sind. Die Source-Dateien können auch
benutzt werden, um einen Kernel zu kompilieren, der besser auf Ihre
Hardware ausgerichtet ist.

%description source -l fr.UTF-8
Le package pour le kernel-source contient le code source pour le noyau
linux. Ces sources sont nécessaires pour compiler la plupart des
programmes C, car il dépend de constantes définies dans le code
source. Les sources peuvent être aussi utilisée pour compiler un noyau
personnalisé pour avoir de meilleures performances sur des matériels
particuliers.

%description source -l pl.UTF-8
Pakiet zawiera kod źródłowy jądra systemu.

%package doc
Summary:	Kernel documentation
Summary(de.UTF-8):	Kernel Dokumentation
Summary(pl.UTF-8):	Dokumentacja do jądra Linuksa
Group:		Documentation
AutoReqProv:	no

%description doc
This is the documentation for the Linux kernel, as found in
/usr/src/linux/Documentation directory.

%description doc -l de.UTF-8
Dies ist die Kernel Dokumentation wie sie im 'Documentation'
Verzeichniss vorgefunden werden kann.

%description doc -l pl.UTF-8
Pakiet zawiera dokumentację do jądra Linuksa pochodzącą z katalogu
/usr/src/linux/Documentation.

%prep
%setup -qc
ln -s %{SOURCE7} kernel-module-build.pl
ln -s %{SOURCE10} Makefile
cd linux-%{basever}

# hack against warning in pax/grsec
sed -i 's/-Werror//' arch/alpha/kernel/Makefile

%if "%{postver}" != "%{nil}"
%{__bzip2} -dc %{SOURCE1} | patch -p1 -s
%endif

# tuxonice:
%if %{with tuxonice}
%patch69 -p1
%patch70 -p1
%endif

# tahoe9xx: 2.6.29 - need update
#%patch2 -p1

%if %{with fbcondecor}
%patch3 -p1
%endif
%patch4 -p1

## netfilter
#

# kernel-pom-ng-IPV4OPTSSTRIP.patch
%patch10 -p1

# kernel-pom-ng-ipv4options.patch
%patch11 -p1

# kernel-pom-ng-ROUTE.patch
%patch14 -p1

# kernel-pom-ng-mms-conntrack-nat.patch
%patch16 -p1

# kernel-pom-ng-rsh.patch
%patch22 -p1

# kernel-pom-ng-rpc.patch
%patch23 -p1

# kernel-nf_rtsp.patch
%patch36 -p1

# kernel-owner-xid.patch
%if %{with vserver}
%patch37 -p1
%endif

# kernel-ipt_account.patch
%patch38 -p1

# kernel-ipt_ACCOUNT.patch
%patch39 -p1

# kernel-layer7.patch
%patch40 -p1

# ipvs-nfct
%patch41 -p1

##
# end of netfilter

# zph
%patch49 -p1

%if %{with imq}
%patch50 -p1
%endif

# reiser4
%if %{with reiser4}
%patch51 -p1
%endif

# esfq
%if %{with esfq}
%patch53 -p1
%endif

%if %{with wrr}
%patch52 -p1
%endif

# toshiba_acpi
%patch54 -p1

%patch55 -p1
%patch56 -p1

# kernel-rndis_host-wm5.patch
%patch59 -p1

# hostap enhancements from/for aircrack-ng
%patch85 -p1

# LSI MPT Fusion driver update (by LSI via SUSE folks)
# FIXME!
#%patch90 -p1

# vserver
%if %{with vserver}
%patch100 -p1
%patch101 -p1
%endif

# forcedeth
%patch130 -p1

# unionfs (problems with aufs2, needed for aufs1 patch)
%if %{without rescuecd}
%patch140 -p1
%endif

%if %{with rescuecd}
# aufs2
%patch148 -p1
%else
# aufs1
#patch145 -p1
#patch146 -p1
%endif

%patch2500 -p1

%if %{with rescuecd}
%patch7000 -p1
%endif

# grsecurity & pax stuff
#

# remember that we have the same config file for grsec_minimal and
# grsec_full, but the patches are different.

%if %{with grsecurity}
%if %{with grsec_minimal}
%patch1000 -p1
%else
# grsec_full and/or pax
%patch9999 -p1
%{?with_vserver:%patch10000 -p1}
%{?with_vserver:%patch10001 -p1}
%{?with_vserver:%patch10002 -p1}
%endif
%endif
#
# end of grsecurity & pax stuff

# apparmor
%if %{with apparmor}
%patch5000 -p1
%endif

# FIXME
#%patch150 -p1

%patch160 -p1

%ifarch ppc ppc64
#patch200 -p1
%endif

# routes
%patch300 -p1

# Small fixes:
%patch2000 -p1
%patch2001 -p1
#%patch2003 -p1

# Fix EXTRAVERSION in main Makefile
sed -i 's#EXTRAVERSION =.*#EXTRAVERSION = %{postver}%{?alt_kernel:_%{alt_kernel}}#g' Makefile

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' -o -name '.gitignore' ')' -print0 | xargs -0 -r -l512 rm -f

%build
install -d %{objdir}
cat > %{targetobj}.mk <<'EOF'
# generated by %{name}.spec
KERNELSRC		:= %{_builddir}/%{name}-%{version}/linux-%{basever}
KERNELOUTPUT	:= %{objdir}

SRCARCH		:= %{target_arch_dir}
ARCH		:= %{_target_base_arch}
Q			:= %{!?with_verbose:@}
MAKE_OPTS	:= %{MakeOpts}
DEFCONFIG   := %{defconfig}
EOF

PaXconfig() {
	set -x
	cat <<-EOCONFIG > $1
	%ifarch %{ix86}
		CONFIG_PAX_SEGMEXEC=y
		# performance impact on CPUs without NX bit
		CONFIG_PAX_PAGEEXEC=n
		# Testing KERNEXEC

		CONFIG_HOTPLUG_PCI_COMPAQ_NVRAM=n
		CONFIG_PCI_BIOS=n
		CONFIG_EFI=n
	%endif

	%ifarch ppc64
		CONFIG_PAX_NOELFRELOCS=n
	%endif
	%ifarch ppc
		CONFIG_PAX_EMUTRAMP=y
		CONFIG_PAX_EMUSIGRT=y
		CONFIG_PAX_EMUPLT=y
	%endif

	%ifarch sparc sparc64 alpha
		CONFIG_PAX_EMUPLT=y
	%endif

	# Now we have to check MAC system integration. Grsecurity (full) uses PAX_HAVE_ACL_FLAGS
	# setting (direct acces). grsec_minimal probably have no idea about PaX so we probably
	# could use PAX_NO_ACL_FLAGS, but for testing the hooks setting will be used
	# PAX_HOOK_ACL_FLAGS.

	%if %{with grsec_full}
		# Hardening grsec options if with pax
		CONFIG_GRKERNSEC_PROC_MEMMAP=y
		# almost rational (see HIDESYM help)
		CONFIG_GRKERNSEC_HIDESYM=y

		# no change needed CONFIG=PAX_HAVE_ACL_FLAGS=y is taken from the kernel-pax.config
	%else
		CONFIG_PAX_HAVE_ACL_FLAGS=n
		CONFIG_PAX_HOOK_ACL_FLAGS=y
	%endif
EOCONFIG

	return 0
}

RescueConfig() {
	set -x
	cat <<-EOCONFIG > $1
		# CONFIG_SOUND is not set
		# CONFIG_AUDIT is not set
		# CONFIG_TR is not set
		# CONFIG_BT is not set
		# CONFIG_VIDEO_DEV is not set
		# CONFIG_DVB_CORE is not set
		# CONFIG_HAMRADIO is not set
		# CONFIG_ARCNET is not set
		# CONFIG_FB is not set
		# CONFIG_DRM is not set
		# CONFIG_WATCHDOG is not set
		# CONFIG_INPUT_JOYSTICK is not set
		# CONFIG_DEBUG_KERNEL is not set
		# CONFIG_ISDN is not set
		# CONFIG_AGP is not set
		# CONFIG_SECURITY is not set
		# CONFIG_PARIDE is not set
		# CONFIG_CPU_FREQ is not set
		# CONFIG_GAMEPORT is not set
		# CONFIG_KVM is not set
		# CONFIG_PHONE is not set
		# CONFIG_STRICT_DEVMEM is not set
		# CONFIG_IMA is not set
		CONFIG_AUFS=y
		CONFIG_AUFS_FS=y
		CONFIG_AUFS_BR_RAMFS=y
		CONFIG_AUFS_RDU=y
		CONFIG_BLK_DEV_LOOP=y
		CONFIG_ISO9660_FS=y
		CONFIG_NLS_UTF8=y
EOCONFIG

	return 0
}

BuildConfig() {
	%{?debug:set -x}
	set -e

	Config="kernel-%{target_arch_dir}.config"
	echo >&2 "Building config file for %{_target_cpu} using $Config et al."

	# prepare local and important options
	cat <<-EOCONFIG > important.config
		LOCALVERSION="-%{localversion}"

%if 0%{?debug:1}
		CONFIG_DEBUG_SLAB=y
		CONFIG_DEBUG_SLAB_LEAK=y
		CONFIG_DEBUG_PREEMPT=y
		CONFIG_RT_DEADLOCK_DETECT=y
%endif

# apparmor, will be moved to external file if works
%if %{with apparmor}
		CONFIG_SECURITY_APPARMOR=y
		CONFIG_SECURITY_APPARMOR_BOOTPARAM_VALUE=1
		CONFIG_SECURITY_APPARMOR_DISABLE=n
		CONFIG_SECURITY_APPARMOR_NETWORK=y
%endif

%if %{without ipv6}
		CONFIG_IPV6=n
%endif

%ifarch i686 athlon pentium3 pentium4
  %if %{with pae}
		CONFIG_HIGHMEM4G=n
		CONFIG_HIGHMEM64G=y
		CONFIG_X86_PAE=y
		CONFIG_NUMA=n
  %endif
%endif

%if %{without pcmcia}
		CONFIG_PCMCIA=n
%endif

%if %{with fbcondecor}
		CONFIG_FB_S3=n
		CONFIG_FB_VT8623=n
		CONFIG_FB_ARK=n
		CONFIG_FB_TILEBLITTING=n
		CONFIG_FB_CON_DECOR=y
%endif

%if %{with nfsroot}
		CONFIG_NFS_FS=y
		CONFIG_ROOT_NFS=y
%endif

# Temporary disabled RELOCATABLE. Needed only on x86??
%if %{with pax} || %{with grsec_full}
		CONFIG_RELOCATABLE=n
%endif
EOCONFIG

%if %{with rescuecd}
	RescueConfig rescue.config
%endif
%if %{with pax}
	PaXconfig pax.config
%endif

	# prepare kernel-style config file from multiple config files
	%{__awk} -v arch="all %{target_arch_dir} %{_target_base_arch} %{_target_cpu}" -f %{SOURCE6} \
%if %{with myown}
		$RPM_SOURCE_DIR/kernel-%{alt_kernel}.config \
%endif
		important.config \
%if %{with rescuecd}
		%{SOURCE58} \
		%{SOURCE59} \
		rescue.config \
%endif
		\
%if %{with pax}
		%{SOURCE45} \
		%{SOURCE49} \
		pax.config \
%else
  %if %{with grsec_full}
		%{SOURCE45} \
		%{SOURCE50} \
  %else
	%if %{with grsec_minimal}
		%{SOURCE51} \
	%endif
  %endif
%endif
		\
%if %{with reiser4}
		%{SOURCE56} \
%endif
%if %{with wrr}
		%{SOURCE57} \
%endif
%if %{with imq}
		%{SOURCE55} \
%endif
%if %{with vserver}
		%{SOURCE43} \
%endif
%if %{with tuxonice}
%ifarch %{ix86} %{x8664} ia64 ppc ppc64
		%{SOURCE42} \
%endif
%endif
		%{SOURCE40} %{?0:netfilter} \
		%{SOURCE41} %{?0:patches} \
		%{SOURCE20} \
		$RPM_SOURCE_DIR/$Config
}

cd %{objdir}
install -d arch/%{target_arch_dir}
BuildConfig > %{defconfig}
ln -sf %{defconfig} .config
cd -

%{__make} \
	TARGETOBJ=%{targetobj} \
	%{?with_verbose:V=1} \
	oldconfig

%{__awk} %{?debug:-v dieOnError=1} -v infile=%{objdir}/%{defconfig} -f %{SOURCE8} %{objdir}/.config

# build kernel
%{__make} \
	TARGETOBJ=%{targetobj} \
	%{?with_verbose:V=1} \
	all

%install
rm -rf $RPM_BUILD_ROOT
%{__make} %{MakeOpts} %{!?with_verbose:-s} modules_install firmware_install \
	-C %{objdir} \
	%{?with_verbose:V=1} \
	DEPMOD=%{DepMod} \
	INSTALL_MOD_PATH=$RPM_BUILD_ROOT \
	INSTALL_FW_PATH=$RPM_BUILD_ROOT/lib/firmware/%{kernel_release} \
	KERNELRELEASE=%{kernel_release}

install -d $RPM_BUILD_ROOT/lib/modules/%{kernel_release}/misc

# create directories which may be missing, to simplyfy %files
install -d $RPM_BUILD_ROOT/lib/modules/%{kernel_release}/kernel/{arch,sound,mm}

# rpm obeys filelinkto checks for ghosted symlinks, convert to files
rm -f $RPM_BUILD_ROOT/lib/modules/%{kernel_release}/{build,source}
touch $RPM_BUILD_ROOT/lib/modules/%{kernel_release}/{build,source}

# no point embed content for %ghost files. empty them
for a in \
	dep{,.bin} \
	alias{,.bin} \
	symbols{,.bin} \
	{pci,usb,ccw,isapnp,input,ieee1394,serio,of}map \
; do
	> $RPM_BUILD_ROOT/lib/modules/%{kernel_release}/modules.$a
done

# /boot
install -d $RPM_BUILD_ROOT/boot
cp -a %{objdir}/System.map $RPM_BUILD_ROOT/boot/System.map-%{kernel_release}
%ifarch %{ix86} %{x8664}
cp -a %{objdir}/arch/%{target_arch_dir}/boot/bzImage $RPM_BUILD_ROOT/boot/vmlinuz-%{kernel_release}
install %{objdir}/vmlinux $RPM_BUILD_ROOT/boot/vmlinux-%{kernel_release}
%endif
%ifarch ppc ppc64
install %{objdir}/vmlinux $RPM_BUILD_ROOT/boot/vmlinuz-%{kernel_release}
install %{objdir}/vmlinux $RPM_BUILD_ROOT/boot/vmlinux-%{kernel_release}
%endif
%ifarch ia64
%{__gzip} -cfv %{objdir}/vmlinux > %{objdir}/vmlinuz
cp -a %{objdir}/vmlinuz $RPM_BUILD_ROOT/boot/efi/vmlinuz-%{kernel_release}
ln -sf efi/vmlinuz-%{kernel_release} $RPM_BUILD_ROOT/boot/vmlinuz-%{kernel_release}
%endif
%ifarch alpha sparc sparc64
	%{__gzip} -cfv %{objdir}/vmlinux > %{objdir}/vmlinuz
	cp -a %{objdir}/vmlinuz $RPM_BUILD_ROOT/boot/vmlinuz-%{kernel_release}
	install %{objdir}/vmlinux $RPM_BUILD_ROOT/boot/vmlinuz-%{kernel_release}
%ifarch sparc
	elftoaout %{objdir}/arch/sparc/boot/image -o %{objdir}/vmlinux.aout
	install %{objdir}/vmlinux.aout $RPM_BUILD_ROOT/boot/vmlinux.aout-%{kernel_release}
%endif
%ifarch sparc64
	elftoaout %{objdir}/arch/sparc64/boot/image -o %{objdir}/vmlinux.aout
	install %{objdir}/vmlinux.aout $RPM_BUILD_ROOT/boot/vmlinux.aout-%{kernel_release}
%endif
%ifarch arm
	install %{objdir}/arch/arm/boot/zImage $RPM_BUILD_ROOT/boot/vmlinuz-%{kernel_release}
%endif
%endif

# ghosted initrd
touch $RPM_BUILD_ROOT%{initrd_dir}/initrd-%{kernel_release}.gz

%if "%{_target_base_arch}" != "%{_arch}"
touch $RPM_BUILD_ROOT/lib/modules/%{kernel_release}/modules.dep
%endif

# /etc/modrobe.d
install -d $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/%{kernel_release}

# /usr/src/linux
install -d $RPM_BUILD_ROOT%{_kernelsrcdir}
# test if we can hardlink -- %{_builddir} and $RPM_BUILD_ROOT on same partition
if cp -al %{srcdir}/COPYING $RPM_BUILD_ROOT/COPYING 2>/dev/null; then
	l=l
	rm -f $RPM_BUILD_ROOT/COPYING
fi

cp -a$l %{srcdir}/* $RPM_BUILD_ROOT%{_kernelsrcdir}
cp -a %{objdir}/Module.symvers $RPM_BUILD_ROOT%{_kernelsrcdir}/Module.symvers-dist
cp -aL %{objdir}/.config $RPM_BUILD_ROOT%{_kernelsrcdir}/config-dist
cp -a %{objdir}/include/linux/autoconf.h $RPM_BUILD_ROOT%{_kernelsrcdir}/include/linux/autoconf-dist.h
cp -a %{objdir}/include/linux/{utsrelease,version}.h $RPM_BUILD_ROOT%{_kernelsrcdir}/include/linux
cp -a %{SOURCE3} $RPM_BUILD_ROOT%{_kernelsrcdir}/include/linux/autoconf.h
cp -a %{SOURCE4} $RPM_BUILD_ROOT%{_kernelsrcdir}/include/linux/config.h

# collect module-build files and directories
# Usage: kernel-module-build.pl $rpmdir $fileoutdir
fileoutdir=$(pwd)
cd $RPM_BUILD_ROOT%{_kernelsrcdir}
%{__perl} %{topdir}/kernel-module-build.pl %{_kernelsrcdir} $fileoutdir
cd -

# move to %{_docdir} so we wouldn't depend on any kernel package for dirs
install -d $RPM_BUILD_ROOT%{_docdir}
mv $RPM_BUILD_ROOT{%{_kernelsrcdir}/Documentation,%{_docdir}/%{name}-%{version}}

rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/dontdiff
rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/Makefile
rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/*/Makefile
rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/*/*/Makefile

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -x /sbin/new-kernel-pkg ]; then
	/sbin/new-kernel-pkg --remove %{kernel_release}
fi

%post
%ifarch ia64
mv -f /boot/efi/vmlinuz{,.old} 2> /dev/null
%{?alt_kernel:mv -f /boot/efi/vmlinuz%{_alt_kernel}{,.old} 2> /dev/null}
ln -sf vmlinuz-%{kernel_release} /boot/efi/vmlinuz
%{?alt_kernel:ln -sf vmlinuz-%{kernel_release} /boot/efi/vmlinuz%{_alt_kernel}}
%endif
mv -f /boot/vmlinuz{,.old} 2> /dev/null
%{?alt_kernel:mv -f /boot/vmlinuz%{_alt_kernel}{,.old} 2> /dev/null}
mv -f /boot/System.map{,.old} 2> /dev/null
%{?alt_kernel:mv -f /boot/System%{_alt_kernel}.map{,.old} 2> /dev/null}
ln -sf vmlinuz-%{kernel_release} /boot/vmlinuz
%{?alt_kernel:ln -sf vmlinuz-%{kernel_release} /boot/vmlinuz%{_alt_kernel}}
ln -sf System.map-%{kernel_release} /boot/System.map
%{?alt_kernel:ln -sf System.map-%{kernel_release} /boot/System.map%{_alt_kernel}}

%depmod %{kernel_release}

/sbin/geninitrd -f --initrdfs=rom %{initrd_dir}/initrd-%{kernel_release}.gz %{kernel_release}
mv -f %{initrd_dir}/initrd{,.old} 2> /dev/null
%{?alt_kernel:mv -f %{initrd_dir}/initrd%{_alt_kernel}{,.old} 2> /dev/null}
ln -sf initrd-%{kernel_release}.gz %{initrd_dir}/initrd
%{?alt_kernel:ln -sf initrd-%{kernel_release}.gz %{initrd_dir}/initrd%{_alt_kernel}}

if [ -x /sbin/update-grub ]; then
	/sbin/update-grub >/dev/null 2>&1
fi
if [ -x /sbin/new-kernel-pkg ]; then
	/sbin/new-kernel-pkg --initrdfile=%{initrd_dir}/initrd-%{kernel_release}.gz --install %{kernel_release} --banner "PLD Linux (%{pld_release})%{?alt_kernel: / %{alt_kernel}}"
fi
if [ -x /sbin/rc-boot ]; then
	/sbin/rc-boot 1>&2 || :
fi

%post vmlinux
mv -f /boot/vmlinux{,.old} 2> /dev/null
%{?alt_kernel:mv -f /boot/vmlinux-%{alt_kernel}{,.old} 2> /dev/null}
ln -sf vmlinux-%{kernel_release} /boot/vmlinux
%{?alt_kernel:ln -sf vmlinux-%{kernel_release} /boot/vmlinux-%{alt_kernel}}

%post drm
%depmod %{kernel_release}

%postun drm
%depmod %{kernel_release}

%post pcmcia
%depmod %{kernel_release}

%postun pcmcia
%depmod %{kernel_release}

%post sound-alsa
%depmod %{kernel_release}

%postun sound-alsa
%depmod %{kernel_release}

%post sound-oss
%depmod %{kernel_release}

%postun sound-oss
%depmod %{kernel_release}

%post headers
ln -snf %{basename:%{_kernelsrcdir}} %{_prefix}/src/linux%{_alt_kernel}

%postun headers
if [ "$1" = "0" ]; then
	if [ -L %{_prefix}/src/linux%{_alt_kernel} ]; then
		if [ "$(readlink %{_prefix}/src/linux%{_alt_kernel})" = "linux%{_alt_kernel}-%{version}" ]; then
			rm -f %{_prefix}/src/linux%{_alt_kernel}
		fi
	fi
fi

%triggerin module-build -- %{name} = %{epoch}:%{version}-%{release}
ln -sfn %{_kernelsrcdir} /lib/modules/%{kernel_release}/build
ln -sfn %{_kernelsrcdir} /lib/modules/%{kernel_release}/source

%triggerun module-build -- %{name} = %{epoch}:%{version}-%{release}
if [ "$1" = 0 ]; then
	rm -f /lib/modules/%{kernel_release}/{build,source}
fi

%files
%defattr(644,root,root,755)
%ifarch sparc sparc64
/boot/vmlinux.aout-%{kernel_release}
%endif
%ifarch ia64
/boot/efi/vmlinuz-%{kernel_release}
%endif
/boot/vmlinuz-%{kernel_release}
/boot/System.map-%{kernel_release}
%ghost %{initrd_dir}/initrd-%{kernel_release}.gz
/lib/firmware/%{kernel_release}

%dir /lib/modules/%{kernel_release}
%dir /lib/modules/%{kernel_release}/kernel
/lib/modules/%{kernel_release}/kernel/arch
/lib/modules/%{kernel_release}/kernel/crypto
/lib/modules/%{kernel_release}/kernel/drivers
%if %{have_drm}
%exclude /lib/modules/%{kernel_release}/kernel/drivers/gpu
%endif
/lib/modules/%{kernel_release}/kernel/fs
/lib/modules/%{kernel_release}/kernel/kernel
/lib/modules/%{kernel_release}/kernel/lib
/lib/modules/%{kernel_release}/kernel/net
/lib/modules/%{kernel_release}/kernel/mm
%if %{have_sound}
%dir /lib/modules/%{kernel_release}/kernel/sound
/lib/modules/%{kernel_release}/kernel/sound/ac97_bus.ko*
/lib/modules/%{kernel_release}/kernel/sound/sound*.ko*
%ifnarch sparc
%exclude /lib/modules/%{kernel_release}/kernel/drivers/media/video/cx88/cx88-alsa.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/media/video/em28xx/em28xx-alsa.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/media/video/saa7134/saa7134-alsa.ko*
%endif
%endif
%dir /lib/modules/%{kernel_release}/misc
%if %{have_pcmcia}
%exclude /lib/modules/%{kernel_release}/kernel/drivers/pcmcia/[!p]*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/pcmcia/pd6729.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/*/pcmcia
%if %{without rescuecd}
%exclude /lib/modules/%{kernel_release}/kernel/drivers/ata/pata_pcmcia.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/bluetooth/*_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/isdn/hardware/avm/avm_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/isdn/hardware/avm/b1pcmcia.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/telephony/ixj_pcmcia.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/usb/gadget/g_midi.ko*
%endif
%exclude /lib/modules/%{kernel_release}/kernel/drivers/ide/ide-cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/net/wireless/*_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/net/wireless/b43
%exclude /lib/modules/%{kernel_release}/kernel/drivers/net/wireless/hostap/hostap_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/net/wireless/libertas/*_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/parport/parport_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/serial/serial_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/usb/host/sl811_cs.ko*
%endif
%if %{with myown}
/lib/modules/%{kernel_release}/kernel/sound
%endif

%dir %{_sysconfdir}/modprobe.d/%{kernel_release}

# provided by build
/lib/modules/%{kernel_release}/modules.order

# rest modules.* are ghost (regenerated by post depmod -a invocation)
%ghost /lib/modules/%{kernel_release}/modules.alias
%ghost /lib/modules/%{kernel_release}/modules.alias.bin
%ghost /lib/modules/%{kernel_release}/modules.ccwmap
%ghost /lib/modules/%{kernel_release}/modules.dep
%ghost /lib/modules/%{kernel_release}/modules.dep.bin
%ghost /lib/modules/%{kernel_release}/modules.ieee1394map
%ghost /lib/modules/%{kernel_release}/modules.inputmap
%ghost /lib/modules/%{kernel_release}/modules.isapnpmap
%ghost /lib/modules/%{kernel_release}/modules.ofmap
%ghost /lib/modules/%{kernel_release}/modules.pcimap
%ghost /lib/modules/%{kernel_release}/modules.seriomap
%ghost /lib/modules/%{kernel_release}/modules.symbols
%ghost /lib/modules/%{kernel_release}/modules.symbols.bin
%ghost /lib/modules/%{kernel_release}/modules.usbmap

# symlinks pointing to kernelsrcdir
%ghost /lib/modules/%{kernel_release}/build
%ghost /lib/modules/%{kernel_release}/source

%ifarch alpha %{ix86} %{x8664} ppc ppc64 sparc sparc64
%files vmlinux
%defattr(644,root,root,755)
/boot/vmlinux-%{kernel_release}
%endif

%if %{have_drm}
%files drm
%defattr(644,root,root,755)
/lib/modules/%{kernel_release}/kernel/drivers/gpu
%endif

%if %{have_pcmcia}
%files pcmcia
%defattr(644,root,root,755)
/lib/modules/%{kernel_release}/kernel/drivers/pcmcia/*ko*
/lib/modules/%{kernel_release}/kernel/drivers/*/pcmcia
%exclude /lib/modules/%{kernel_release}/kernel/drivers/pcmcia/pcmcia*ko*
%if %{without rescuecd}
/lib/modules/%{kernel_release}/kernel/drivers/bluetooth/*_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/isdn/hardware/avm/avm_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/isdn/hardware/avm/b1pcmcia.ko*
/lib/modules/%{kernel_release}/kernel/drivers/telephony/ixj_pcmcia.ko*
%endif
/lib/modules/%{kernel_release}/kernel/drivers/ata/pata_pcmcia.ko*
/lib/modules/%{kernel_release}/kernel/drivers/ide/ide-cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/net/wireless/*_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/net/wireless/b43
/lib/modules/%{kernel_release}/kernel/drivers/net/wireless/hostap/hostap_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/net/wireless/libertas/*_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/parport/parport_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/serial/serial_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/usb/host/sl811_cs.ko*
%endif

%if %{have_sound}
%files sound-alsa
%defattr(644,root,root,755)
/lib/modules/%{kernel_release}/kernel/sound
%exclude %dir /lib/modules/%{kernel_release}/kernel/sound
%exclude /lib/modules/%{kernel_release}/kernel/sound/ac97_bus.ko*
%exclude /lib/modules/%{kernel_release}/kernel/sound/sound*.ko*
%if %{have_oss}
%exclude /lib/modules/%{kernel_release}/kernel/sound/oss
%endif
%ifnarch sparc
/lib/modules/%{kernel_release}/kernel/drivers/usb/gadget/g_midi.ko*
/lib/modules/%{kernel_release}/kernel/drivers/media/video/cx88/cx88-alsa.ko*
/lib/modules/%{kernel_release}/kernel/drivers/media/video/em28xx/em28xx-alsa.ko*
/lib/modules/%{kernel_release}/kernel/drivers/media/video/saa7134/saa7134-alsa.ko*
%endif

%if %{have_oss}
%files sound-oss
%defattr(644,root,root,755)
/lib/modules/%{kernel_release}/kernel/sound/oss
%endif
%endif

%files headers -f files.headers_exclude_kbuild
%defattr(644,root,root,755)
%dir %{_kernelsrcdir}
%{_kernelsrcdir}/include
%dir %{_kernelsrcdir}/arch
%dir %{_kernelsrcdir}/arch/[!K]*
%{_kernelsrcdir}/arch/*/include
%dir %{_kernelsrcdir}/security
%dir %{_kernelsrcdir}/security/selinux
%{_kernelsrcdir}/security/selinux/include
%{_kernelsrcdir}/config-dist
%{_kernelsrcdir}/Module.symvers-dist

%files module-build -f files.mb_include_modulebuild_and_dirs
%defattr(644,root,root,755)
%ifarch ppc ppc64
%{_kernelsrcdir}/arch/powerpc/lib/crtsavres.*
%endif
%exclude %dir %{_kernelsrcdir}/arch/m68knommu
%exclude %dir %{_kernelsrcdir}/arch/um
%{_kernelsrcdir}/arch/*/kernel/asm-offsets*
%{_kernelsrcdir}/arch/*/kernel/sigframe*.h
%{_kernelsrcdir}/drivers/lguest/lg.h
%{_kernelsrcdir}/kernel/bounds.c
%dir %{_kernelsrcdir}/scripts
%{_kernelsrcdir}/scripts/Kbuild.include
%{_kernelsrcdir}/scripts/Makefile*
%{_kernelsrcdir}/scripts/basic
%{_kernelsrcdir}/scripts/kconfig
%{_kernelsrcdir}/scripts/mkcompile_h
%{_kernelsrcdir}/scripts/mkmakefile
%{_kernelsrcdir}/scripts/mod
%{_kernelsrcdir}/scripts/module-common.lds
%{_kernelsrcdir}/scripts/setlocalversion
%{_kernelsrcdir}/scripts/*.c
%{_kernelsrcdir}/scripts/*.sh
%dir %{_kernelsrcdir}/scripts/selinux
%{_kernelsrcdir}/scripts/selinux/Makefile
%dir %{_kernelsrcdir}/scripts/selinux/mdp
%{_kernelsrcdir}/scripts/selinux/mdp/Makefile
%{_kernelsrcdir}/scripts/selinux/mdp/*.c
%exclude %dir %{_kernelsrcdir}/security
%exclude %dir %{_kernelsrcdir}/security/selinux

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%dir %{_docdir}/%{name}-%{version}

%{_docdir}/%{name}-%{version}/[!jkz]*
%{_docdir}/%{name}-%{version}/[jkz]*.txt
%{_docdir}/%{name}-%{version}/kbuild
%{_docdir}/%{name}-%{version}/kdump
%{_docdir}/%{name}-%{version}/kvm
%lang(ja) %{_docdir}/%{name}-%{version}/ja_JP
%lang(ko) %{_docdir}/%{name}-%{version}/ko_KR
%lang(zh_CN) %{_docdir}/%{name}-%{version}/zh_CN
%endif

%if %{with source}
%files source -f files.source_exclude_modulebuild_and_dirs
%defattr(644,root,root,755)
%{_kernelsrcdir}/arch/*/[!Mik]*
%{_kernelsrcdir}/arch/*/kernel/[!M]*
%{_kernelsrcdir}/arch/ia64/ia32/[!M]*
%{_kernelsrcdir}/arch/ia64/install.sh
%{_kernelsrcdir}/arch/m68k/ifpsp060/[!M]*
%{_kernelsrcdir}/arch/m68k/ifpsp060/MISC
%{_kernelsrcdir}/arch/m68k/install.sh
%{_kernelsrcdir}/arch/parisc/install.sh
%{_kernelsrcdir}/arch/x86/ia32/[!M]*
%{_kernelsrcdir}/arch/ia64/kvm
%{_kernelsrcdir}/arch/powerpc/kvm
%ifarch ppc ppc64
%exclude %{_kernelsrcdir}/arch/powerpc/lib/crtsavres.*
%endif
%{_kernelsrcdir}/arch/s390/kvm
%{_kernelsrcdir}/arch/x86/kvm
%exclude %{_kernelsrcdir}/arch/*/kernel/asm-offsets*
%exclude %{_kernelsrcdir}/arch/*/kernel/sigframe*.h
%exclude %{_kernelsrcdir}/drivers/lguest/lg.h
%{_kernelsrcdir}/block
%{_kernelsrcdir}/crypto
%{_kernelsrcdir}/drivers
%{_kernelsrcdir}/firmware
%{_kernelsrcdir}/fs
%if %{with grsecurity} && %{without rescuecd}
%{_kernelsrcdir}/grsecurity
%endif
%{_kernelsrcdir}/init
%{_kernelsrcdir}/ipc
%{_kernelsrcdir}/kernel
%exclude %{_kernelsrcdir}/kernel/bounds.c
%{_kernelsrcdir}/lib
%{_kernelsrcdir}/mm
%{_kernelsrcdir}/net
%{_kernelsrcdir}/virt
%{_kernelsrcdir}/samples
%{_kernelsrcdir}/scripts/*
%exclude %{_kernelsrcdir}/scripts/Kbuild.include
%exclude %{_kernelsrcdir}/scripts/Makefile*
%exclude %{_kernelsrcdir}/scripts/basic
%exclude %{_kernelsrcdir}/scripts/kconfig
%exclude %{_kernelsrcdir}/scripts/mkcompile_h
%exclude %{_kernelsrcdir}/scripts/mkmakefile
%exclude %{_kernelsrcdir}/scripts/mod
%exclude %{_kernelsrcdir}/scripts/module-common.lds
%exclude %{_kernelsrcdir}/scripts/setlocalversion
%exclude %{_kernelsrcdir}/scripts/*.c
%exclude %{_kernelsrcdir}/scripts/*.sh
%exclude %dir %{_kernelsrcdir}/scripts/selinux
%exclude %{_kernelsrcdir}/scripts/selinux/Makefile
%exclude %dir %{_kernelsrcdir}/scripts/selinux/mdp
%exclude %{_kernelsrcdir}/scripts/selinux/mdp/Makefile
%exclude %{_kernelsrcdir}/scripts/selinux/mdp/*.c
%{_kernelsrcdir}/sound
%{_kernelsrcdir}/security
%exclude %{_kernelsrcdir}/security/selinux/include
%{_kernelsrcdir}/tools
%{_kernelsrcdir}/usr
%{_kernelsrcdir}/COPYING
%{_kernelsrcdir}/CREDITS
%{_kernelsrcdir}/MAINTAINERS
%{_kernelsrcdir}/README
%{_kernelsrcdir}/REPORTING-BUGS
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kernel.spec,v $
Revision 1.755.2.10  2010/10/07 08:51:06  hawk
- updated to 2.6.32.24

Revision 1.755.2.9  2010/08/28 22:02:41  hawk
- updated to 2.6.32.21

Revision 1.755.2.8  2010/06/02 13:22:26  hawk
- grsec updated, release 1

Revision 1.755.2.7  2010/06/02 12:22:03  hawk
- updated to 2.6.32.15, release 0.1 (no grsec yet)

Revision 1.755.2.6  2010/05/04 17:44:32  hawk
- updated to 2.6.32.12

Revision 1.755.2.5  2010/04/15 08:38:50  hawk
- updated to 2.6.32.11

Revision 1.755.2.4  2010/03/22 09:26:12  pluto
- updated to 2.6.32.10.

Revision 1.755.2.3  2010/03/06 17:49:00  pluto
- O: kernel-firmware, release 4.

Revision 1.755.2.2  2010/03/06 11:03:43  arekm
- rel 3; revert firmware subpackage; it never worked correctly

Revision 1.755.2.1  2010/03/04 12:36:17  arekm
- rel 2; important bugfix

Revision 1.755  2010/02/23 19:11:25  arekm
- up to 2.6.32.9

Revision 1.754  2010/02/10 16:51:36  glen
- should be %{epoch}:%{version}-%{release}

Revision 1.753  2010/02/10 16:16:41  arekm
- rel 2; fix S firmware subpackage

Revision 1.752  2010/02/09 21:33:36  arekm
- up to 2.6.32.8

Revision 1.751  2010/02/04 07:08:59  glen
- add latest version checking

Revision 1.750  2010/02/02 15:55:02  mguevara
- 2.6.32.7-2; kernel-imq.patch updated to linux-2.6.32-imq-test2.diff

Revision 1.749  2010/02/02 12:58:21  mguevara
- up to 2.6.32.7-1, updated grsec_full and vserver, small changes in
  reiser4

Revision 1.748  2010/01/31 10:57:25  glen
- grub2 hook added

Revision 1.747  2010/01/31 02:12:42  glen
- firmware subpackage (optional)

Revision 1.746  2010/01/07 08:19:50  arekm
- up to 2.6.32.3

Revision 1.745  2010/01/04 15:04:01  glen
- package modules.order, empty other ghost files (12.2k in size)

Revision 1.744  2010/01/04 14:12:56  glen
- fix _noautostrip pattern

Revision 1.743  2010/01/04 13:42:50  glen
- add doc bcond

Revision 1.742  2009/12/19 08:50:05  arekm
- up to 2.6.32.2

Revision 1.741  2009/12/16 17:05:57  arekm
- rel 1

Revision 1.740  2009/12/16 10:43:59  arekm
- merge ernel-grsec-no-stupid-SbO.patch into kernel-grsec_fixes.patch

Revision 1.739  2009/12/16 10:42:43  arekm
- fixes for grsec

Revision 1.738  2009/12/13 19:32:07  arekm
- vserver up to patch-2.6.32-vs2.3.0.36.27.diff

Revision 1.737  2009/12/13 19:27:52  arekm
- lzma support for squashfs

Revision 1.736  2009/12/06 02:06:41  sparky
- add kvm/api.txt documentation
- removed all powerpc libs portions - broken and unused for long time

Revision 1.735  2009/12/06 02:00:47  sparky
- create dirs kernel/arch and kernel/mm so ifarch's won't polute %files section

Revision 1.734  2009/12/05 20:25:12  arekm
- hwpoison supported only on x86_64 (or x86 but with sparsemem disabled)

Revision 1.733  2009/12/05 19:13:20  arekm
- drop PF_RING; it can be build outside kernel and no longer needs patching kernel

Revision 1.732  2009/12/05 03:17:02  sparky
- make distfiles happy

Revision 1.731  2009/12/05 03:09:26  sparky
- package modules under kernel/mm
- got rid of all duplicated files in headers <-> module-build <-> source
  subpackages

Revision 1.730  2009/12/05 00:30:53  sparky
- fix building modules
- try to eliminate some duplicate files

Revision 1.729  2009/12/04 19:21:52  arekm
- update patches for 2.6.32; they apply when using --without grsecurity

Revision 1.728  2009/12/04 18:42:51  arekm
- fetch 2.6.32; 2.6.31 is on LINUX_2_6_31

Revision 1.727  2009/12/03 23:34:11  mguevara
- 2.6.31.6-3, updated kernel-grsec_full.patch to
  grsecurity-2.1.14-2.6.31.6-200911151724.patch, adds GRKERNSEC_ROFS
  (runtime read-only mount protection) and PaX updates.

Revision 1.726  2009/11/23 23:42:07  baggins
- unionfs-2.5.3_for_2.6.31.diff

Revision 1.725  2009/11/17 22:43:38  glen
- cleanup -doc, %lang tags

Revision 1.724  2009/11/16 14:23:51  baggins
- XFS regression reviewed and ack-ed by maintainers

Revision 1.723  2009/11/16 13:34:28  baggins
- rel 2
- updated vserver patch to vs2.3.0.36.24
- added xfs-recover-quota patch

Revision 1.722  2009/11/10 09:41:05  arekm
- up to 2.6.31.6

Revision 1.721  2009/11/01 15:18:22  arekm
- rel 1; ipv6 issue seems to be finally fixed

Revision 1.720  2009/11/01 14:21:14  arekm
- rel 0.3; vserver patch updated to patch-2.6.31.5-vs2.3.0.36.21.diff

Revision 1.719  2009/10/30 17:39:25  glen
- move -doc files to %{_docdir}

Revision 1.718  2009/10/30 17:07:11  glen
- caps

Revision 1.717  2009/10/24 13:15:59  arekm
- rel 0.2; kms enabled

Revision 1.716  2009/10/23 09:06:31  arekm
- up to 2.6.31.5

Revision 1.715  2009/10/13 13:55:21  arekm
- up to 2.6.31.4

Revision 1.714  2009/10/08 09:45:25  arekm
- up to 2.6.31.3

Revision 1.713  2009/10/06 07:05:52  arekm
- up to 2.6.31.2; up vserver to 2.6.31.2-vs2.3.0.36.15 (big sched_hard changes)

Revision 1.712  2009/09/24 19:26:46  arekm
- interdiff for http://www.grsecurity.net/~spender/grsecurity-2.1.14-2.6.31-200909231938.patch applied

Revision 1.711  2009/09/24 18:56:48  arekm
- up to 2.6.31.1

Revision 1.710  2009/09/21 23:37:22  zbyniu
- aufs1 & aufs2 patches updated, each builds with rescuecd

Revision 1.709  2009/09/17 15:40:30  arekm
- don't strip vmlinux*

Revision 1.708  2009/09/16 08:01:02  pluto
- one more regression fix: http://patchwork.kernel.org/patch/45707, release 0.4.

Revision 1.707  2009/09/15 22:20:46  arekm
- rel 0.3; revert heap fix for now; add size_append fix (correct data is appended to lzma image)

Revision 1.706  2009/09/15 20:08:25  arekm
- rel 0.2; bigger heap when LZMA in use

Revision 1.705  2009/09/13 07:10:40  arekm
- http://www.tuxonice.net/downloads/all/current-tuxonice-for-2.6.31.patch-20090911-v1.bz2

Revision 1.704  2009/09/11 19:34:35  arekm
- fix entries overflow that can cause flickering

Revision 1.703  2009/09/11 12:47:34  arekm
- intel 8xx stability fixes

Revision 1.702  2009/09/11 06:41:52  arekm
- apparmor updated to latest version seen in ubuntu kernel

Revision 1.701  2009/09/10 20:19:56  arekm
- new vserver patch

Revision 1.700  2009/09/10 10:46:58  arekm
- initial 2.6.31

Revision 1.699  2009/09/07 08:06:04  adamg
- define NUMA for pae bcond

Revision 1.698  2009/08/25 19:45:40  arekm
- disable scan async for now (http://marc.info/?l=linux-scsi&m=125122853823980&w=2)

Revision 1.697  2009/08/22 17:26:06  arekm
- rel 0.3; vs up to pre 7

Revision 1.696  2009/08/22 14:46:26  arekm
- rel 0.2; addr selection fixes

Revision 1.695  2009/08/20 18:09:26  arekm
- make verbose work again

Revision 1.694  2009/08/19 13:01:01  arekm
- drop intel patch

Revision 1.693  2009/08/19 12:30:08  mguevara
- up to 2.6.30.5-0.1, CVE-2009-2692
- kernel-vserver-2.3.patch updated to interdiff between
  patch-2.6.30.5-vs2.3.0.36.14-pre5.diff and
  patch-2.6.30.4-vs2.3.0.36.14-pre4.diff
- kernel-grsec_full.patch updated based on pax-linux-2.6.30.5-test22.patch
- enabled PAX_REFCOUNT and PAX_NOELFRELOCS in kernel-pax.config
  (only for --with pax bcond)
- commented out patch250 kernel-intel-2009q2-against-2.6.30.1.patch

Revision 1.692  2009/08/16 18:53:42  arekm
- apply interdiff to grsecurity-2.1.14-2.6.30.4-200908132040.patch

Revision 1.691  2009/08/08 14:03:30  arekm
- use %unglobal macro (define/undefine work as push/pop on the stack; unglobal does pop all values from the stack)

Revision 1.690  2009/08/06 11:25:30  mguevara
- 2.6.30.4-0.3; changed bcond pax_full -> pax; removed patches 9997
  kernel-pax_selinux_hooks.patch and 9998 kernel-pax.patch; more cleanup

Revision 1.689  2009/08/04 16:12:36  mguevara
- up to 2.6.30.4-0.2; updated imq patches and enabled imq bcond; cleanup

Revision 1.688  2009/07/31 10:02:33  arekm
- up to 2.6.30.4; updated grsecurity full

Revision 1.687  2009/07/29 06:43:30  arekm
- add intel drm driver fixes

Revision 1.686  2009/07/28 08:58:19  arekm
- 2.6.30.3

Revision 1.685  2009/07/24 10:43:02  arekm
- disable IMA for rescuecd

Revision 1.684  2009/07/21 20:27:10  arekm
- don't use CONFIG_STRICT_DEVMEM for rescue

Revision 1.683  2009/07/21 15:56:49  arekm
- better howto update configs

Revision 1.682  2009/07/21 03:41:44  arekm
- update to latest version

Revision 1.681  2009/07/20 23:26:36  arekm
- drop obsolete apparmor unionfs/aufs patches

Revision 1.680  2009/07/20 21:27:11  arekm
- CONFIG_SECURITY_APPARMOR_NETWORK=y

Revision 1.679  2009/07/20 13:22:47  arekm
- reapply apparmor

Revision 1.678  2009/07/20 13:14:58  arekm
- tomoyo merged; apparmor doesn't conflict with grsec now so drop obsolete patches

Revision 1.677  2009/07/20 12:57:26  arekm
- started update to 2.6.30; patches apply when using --without grsecurity

Revision 1.676  2009/07/03 06:29:28  arekm
- drop tproxy

Revision 1.675  2009/06/02 15:19:19  baggins
- C util-vserver < 0.30.216 (0.30.216 solves hostname problems in vservers)

Revision 1.674  2009/06/02 15:17:59  baggins
- 2.6.29.4

Revision 1.673  2009/05/17 17:18:50  sparky
- drop without smp bcond - may be easily acompilshed using "myown" build

Revision 1.672  2009/05/17 17:13:43  sparky
- improved myown support

Revision 1.671  2009/05/17 12:57:25  sparky
- up to 2.6.29.3

Revision 1.670  2009/05/08 19:23:20  adamg
- updated to 2.6.29.2 (builds and works --without apparmor --without grsecurity)

Revision 1.669  2009/04/28 22:14:11  zbyniu
- unionfs disabled for rescuecd - problems with aufs2

Revision 1.668  2009/04/26 21:49:56  zbyniu
- aufs2.patch added for rescuecd

Revision 1.667  2009/04/13 15:54:54  lmasko
- TuxOnIce up to 3.0.1 with modular build fix. Builds and works with kernel
  2.6.29.1.

Revision 1.666  2009/04/06 21:33:08  baggins
- esfq/wrr updated for 2.6.29

Revision 1.665  2009/04/06 19:40:22  arekm
- rel 0.2

Revision 1.664  2009/04/06 19:15:28  arekm
- esfq/wrr off (broken on 2.6.29)

Revision 1.663  2009/04/06 18:48:43  vip
- fix booting with lzma image ("bad header" error)

Revision 1.662  2009/04/06 18:44:57  arekm
- grsec updated to http://www.grsecurity.net/~spender/grsecurity-2.1.14-2.6.29-200903281534.patch

Revision 1.661  2009/04/06 17:38:42  arekm
- vs2.3 updated; grsec note

Revision 1.660  2009/04/04 13:01:29  lmasko
- TuxOnIce up to stable version 3.0.

Revision 1.659  2009/04/03 18:51:39  areq
- 2.6.29.1

Revision 1.658  2009/03/31 20:28:12  sparky
- added target_arch_dir for sparc(64), both sparcs need some love, they won't
  work in current state

Revision 1.657  2009/03/31 13:56:30  baggins
- renamed patches, waiting for cvsadmin to do server side copy

Revision 1.656  2009/03/31 13:24:31  baggins
- renamed tahoe9xx-2.6.24.patch to kernel-tahoe9xx.patch

Revision 1.655  2009/03/31 12:11:13  baggins
- merged from LINUX_2_6
- cut down changelog

Revision 1.441.2.2096  2009/03/31 10:17:50  baggins
- updated bzip2-lzma patch (included in 2.6.30 git)
- use lzma as kernel image compression
- added HOWTO

Revision 1.441.2.2095  2009/03/30 21:48:11  baggins
- mpt driver builds now

Revision 1.441.2.2094  2009/03/30 17:09:48  sparky
- mpt-fusion patch still broken, disabled for now

Revision 1.441.2.2093  2009/03/30 11:53:11  baggins
- LSI MPT driver updated

Revision 1.441.2.2092  2009/03/29 21:42:28  sparky
- make distfiles happy

Revision 1.441.2.2091  2009/03/29 21:08:20  sparky
- check config for changes before building anything

Revision 1.441.2.2090  2009/03/29 20:43:26  arekm
- correct urls

Revision 1.441.2.2089  2009/03/29 20:39:42  glen
- clean build code merged from kernel-vanilla.spec
- package unpackaged files

Revision 1.441.2.2088  2009/03/29 11:49:14  arekm
- esfq needs fix

Revision 1.441.2.2087  2009/03/27 18:55:13  baggins
- mpt-fusion patch is NOT included upstream, just tiny bits of it

Revision 1.441.2.2086  2009/03/27 06:25:42  glen
- minimum udev: 081 (Documentation/Changes)

Revision 1.441.2.2085  2009/03/24 14:56:52  arekm
- tahoe, aufs1 need update; starts building with
  rpmbuild -bb kernel.spec --without tuxonice --without vserver --without apparmor --without grsecurity

Revision 1.441.2.2084  2009/03/24 11:30:49  arekm
- fetch 2.6.29 tarball; 2.6.28 on LINUX_2_6_28 now

Revision 1.441.2.2083  2009/03/24 09:00:32  adamg
- updated to 2.6.28.9
- intelgraphics patch applied upstream

Revision 1.441.2.2082  2009/03/17 09:51:57  arekm
- ext4 patch merged; up to 2.6.28.8

Revision 1.441.2.2081  2009/03/16 11:48:47  glen
- /lib/modules/%{kernel_release}/build should be %ghost and belong to one pkg, they are setup as trigger when main and module-pkg both are installed
- (fix bad bad merge 1.441.2.1705)

Revision 1.441.2.2080  2009/03/14 21:05:23  areq
- CONFIG_AUFS=y for RCD

Revision 1.441.2.2079  2009/03/14 15:11:18  glen
- just one line for easier grep

Revision 1.441.2.2078  2009/03/13 08:41:16  arekm
- add http://intellinuxgraphics.org/download/2008Q4-rc4/2008q4-kernel-against-2.6.28.patch

Revision 1.441.2.2077  2009/03/12 23:19:52  baggins
- rel 3
- added aufs1 (last and latest version 20090126, as aufs2 is not yet stable),
  it really belongs here to be useful because of additional exported symbol
  it needs and changes it introduces to ecryptfs

Revision 1.441.2.2076  2009/03/12 10:27:23  baggins
- rel 2
- updated unionfs to unionfs-2.5.1_for_2.6.28.1.diff

Revision 1.441.2.2075  2009/02/25 23:25:10  adamg
- 2.6.28.7-vs2.3.0.36.7 with extraversion killed

Revision 1.441.2.2074  2009/02/23 22:18:50  adamg
- ext4 patch updated

Revision 1.441.2.2073  2009/02/21 00:25:09  adamg
- disable ext4 patch (seems to be merged in 2.6.28.7)
- builds now

Revision 1.441.2.2072  2009/02/20 23:50:23  baggins
- 2.6.28.7

Revision 1.441.2.2071  2009/02/20 16:08:55  adamg
- move /lib/modules/%{kernel_release} to -dirs

Revision 1.441.2.2070  2009/02/17 18:25:36  baggins
- 2.6.28.6

Revision 1.441.2.2069  2009/02/15 11:45:54  adamg
- mention apparmor and tomoyo in features

Revision 1.441.2.2068  2009/02/15 11:41:13  adamg
- rename kernel-tomoyo.patch to kernel-tomoyo-without-apparmor.patch
- cosmetics

Revision 1.441.2.2067  2009/02/15 11:37:23  adamg
- no verbose when unpacking tomoyo tarball

Revision 1.441.2.2066  2009/02/15 11:34:41  adamg
- tomoyo patch for apparmor enabled kernel

Revision 1.441.2.2065  2009/02/14 22:36:22  adamg
- note on unsupported bcond combos

Revision 1.441.2.2064  2009/02/14 22:32:53  adamg
- tomoyo support

Revision 1.441.2.2063  2009/02/12 20:52:33  adamg
- updated to 2.6.28.5

Revision 1.441.2.2062  2009/02/10 18:24:40  arekm
- enforce latest geninitrd

Revision 1.441.2.2061  2009/02/09 21:14:43  arekm
- rel 1; seems to be working for me

Revision 1.441.2.2060  2009/02/09 17:32:13  arekm
- move some headers/files to module-build and headers so external modules can be build

Revision 1.441.2.2059  2009/02/09 14:08:39  arekm
- rel 0.2; vserver scheduler bugfixes

Revision 1.441.2.2058  2009/02/09 08:42:01  arekm
- todo items done (BIG thanks to adamg/zbyniu)

Revision 1.441.2.2057  2009/02/08 00:10:31  adamg
- updated to 2.6.28.4

Revision 1.441.2.2056  2009/02/03 23:51:23  adamg
- foreported backported touchpad fixes (...)
- todo entry explained

Revision 1.441.2.2055  2009/02/02 20:50:21  adamg
- updated to 2.6.28.3

Revision 1.441.2.2054  2009/02/01 23:18:06  adamg
- ext4 patchset

Revision 1.441.2.2053  2009/01/25 13:36:53  adamg
- dirs subpackage (better than kernelsrcdir in main pkg)
- one more todo entry

Revision 1.441.2.2052  2009/01/25 12:14:02  adamg
- move kernelsrcdir to main pkg, avoid duplicated entries in -headers and -doc

Revision 1.441.2.2051  2009/01/25 02:28:05  adamg
- updated to 2.6.28.2

Revision 1.441.2.2050  2009/01/23 15:45:23  adamg
- updated to 2.6.28.1

Revision 1.441.2.2049  2009/01/18 02:08:25  adamg
- grsec_full updated to 2.6.28 (needs testing!)

Revision 1.441.2.2048  2009/01/15 22:37:30  adamg
- link to 2.6.28 grsec patch

Revision 1.441.2.2047  2009/01/15 12:52:25  lmasko
- TuxOnIce patches up to 3.0-rc8.

Revision 1.441.2.2046  2009/01/07 11:33:11  adamg
- ipvs-nfct-2.6.28-1

Revision 1.441.2.2045  2009/01/04 15:45:38  adamg
- release 0.4 (vserver + grsec_minimal - grsec_full - apparmor works)

Revision 1.441.2.2044  2009/01/04 14:42:45  adamg
- vserver v2.3.0.36.4

Revision 1.441.2.2043  2009/01/04 14:41:08  adamg
- drop xen part for now

Revision 1.441.2.2042  2008/12/31 17:17:11  baggins
- rel 0.3
- compile tested

Revision 1.441.2.2041  2008/12/31 16:29:05  baggins
- updated tuxonice, removed outdated TOI patches

Revision 1.441.2.2040  2008/12/31 13:34:29  adamg
- vserver patch updated to 2.6.28-vs2.3.0.36.2; todo before rel 1

Revision 1.441.2.2039  2008/12/31 00:23:44  baggins
- rel 0.2
- updated MPT patch
- added bunch of SCSI DH fixes to small_fixes patch

Revision 1.441.2.2038  2008/12/25 21:47:07  adamg
- disable ipvs-nfct for now
- fix ide-cs.ko location
- builds (--without grsecurity apparmor tuxonice reiser4) and boots on
  virtualbox guest

Revision 1.441.2.2037  2008/12/25 20:43:23  adamg
- updated to 2.6.28; rel 0.1; nfy

Revision 1.441.2.2036  2008/12/18 19:19:34  arekm
- up to 2.6.27.10

Revision 1.441.2.2035  2008/12/17 21:50:04  arekm
- ifb is the way to go (sorry, imq broken)

Revision 1.441.2.2034  2008/12/16 19:19:28  hawk
- ehh, really revert include/config stuff, I need more sleep
- release 3

Revision 1.441.2.2033  2008/12/16 18:02:20  hawk
- revert providing include/config/kernel.release, breaks building kernel
  releated packages
- release 2

Revision 1.441.2.2032  2008/12/15 21:11:06  pluto
- provide include/config/kernel.release (e.g. kvm uses it).
- compile cp+rm into mv.

Revision 1.441.2.2031  2008/12/14 09:05:17  arekm
- up to 2.6.27.9

Revision 1.441.2.2030  2008/12/13 20:33:58  baggins
- rel 2
- ATM: CVE-2008-5079: duplicate listen() on socket corrupts the vcc table
- af_unix: netns: fix problem of return value
- fixed regressions in CIFS, lib/idr.c, FASYNC handling, 32-bit pagemap

Revision 1.441.2.2029  2008/12/06 00:54:01  arekm
- rel 1

Revision 1.441.2.2028  2008/12/05 23:08:16  baggins
- 2.6.27.8 [CVE-2008-5300]

Revision 1.441.2.2027  2008/12/04 19:12:20  arekm
- rel 5 (xfs fixes, rtc compiled in (previously as module); ipv6 oops fix)

Revision 1.441.2.2026  2008/12/04 09:48:29  baggins
- fix twsk_net() NULL pointer dereference in __inet6_check_established

Revision 1.441.2.2025  2008/12/04 08:19:43  arekm
- patch-2.6.27.6-vs2.3.0.36.2.diff used now

Revision 1.441.2.2024  2008/12/01 22:28:37  baggins
- some levels of Security by Obscurity are not acceptable,
  don't let grsecurity remove _useful_ informations from /proc

Revision 1.441.2.2023  2008/11/27 16:09:16  baggins
- LSI MPT Fusion driver v4.00.43.00

Revision 1.441.2.2022  2008/11/26 19:58:33  pluto
- source7 collects Kbuilds now.

Revision 1.441.2.2021  2008/11/26 00:11:48  baggins
- rel 3
- 16 cpus is not enough, up to 32

Revision 1.441.2.2020  2008/11/21 12:32:12  arekm
- rel 2; vserver issue fixed by using fixes util-vserver init scripts

Revision 1.441.2.2019  2008/11/21 12:13:57  arekm
- conflicts with util-vserver tools with broken vprocunhide

Revision 1.441.2.2018  2008/11/21 11:59:19  glen
- alt_kernel fixes from LINUX_2_6_16
- use own builddir

Revision 1.441.2.2017  2008/11/21 07:52:49  arekm
- rel 1.1 because vserver is broken (/proc problems)

Revision 1.441.2.2016  2008/11/20 23:37:07  zbyniu
- up to 2.6.27.7

Revision 1.441.2.2015  2008/11/18 09:52:48  blues
- previous commit version fixed

Revision 1.441.2.2014  2008/11/17 21:28:31  blues
- 2.6.27.6 fixes CVE-2008-5025

Revision 1.441.2.2013  2008/11/14 00:18:48  glen
- binutils at least 2.18 required to build

Revision 1.441.2.2012  2008/11/13 20:26:13  arekm
- rel 3

Revision 1.441.2.2011  2008/11/13 20:07:30  pluto
- patch from autofs-5.0.4 tarball.

Revision 1.441.2.2010  2008/11/13 19:31:58  arekm
- rel 2

Revision 1.441.2.2009  2008/11/13 19:28:42  arekm
- up to 2.6.27.6 [fixes: CVE-2008-5025]

Revision 1.441.2.2008  2008/11/13 18:13:24  glen
- adapter

Revision 1.441.2.2007  2008/11/10 01:12:08  glen
- add modules.*.bin ghosts

Revision 1.441.2.2006  2008/11/08 00:46:39  arekm
- up to 2.6.27.5

Revision 1.441.2.2005  2008/11/07 14:36:48  tommat
- rel 2, working squashfs

Revision 1.441.2.2004  2008/11/04 18:48:37  zbyniu
- fix _alt_kernel logic, thnx glen

Revision 1.441.2.2003  2008/11/04 13:10:05  zbyniu
- force _alt_kernel "-rescuecd" for rescuecd

Revision 1.441.2.2002  2008/11/04 11:58:02  arekm
- typo

Revision 1.441.2.2001  2008/11/04 08:32:08  arekm
- try to fix ppc builds for external modules (untested yet)

Revision 1.441.2.2000  2008/11/03 23:11:47  arekm
- rel 1

Revision 1.441.2.1999  2008/11/03 22:26:13  sparky
- apply patch141 (unionfs-apparmor) only when building with apparmor

Revision 1.441.2.1998  2008/11/03 22:07:34  areq
- rescuecd without apparmor

Revision 1.441.2.1997  2008/11/03 21:09:37  zbyniu
- updated patches: layer7, ipvs-nfct, zph

Revision 1.441.2.1996  2008/11/03 17:37:21  arekm
- prepare bconds for being new default Th kernel

Revision 1.441.2.1995  2008/11/03 01:17:20  zbyniu
- added patch for apparmor vfs changes in unionfs

Revision 1.441.2.1994  2008/11/01 13:02:58  arekm
- builds with smack enabled; unionfs still problematic

Revision 1.441.2.1993  2008/10/30 08:51:57  arekm
- include firmware files

Revision 1.441.2.1992  2008/10/29 22:45:28  zbyniu
- added apparmor patch to build with grsec_full, and with common aa changes
- linux-2.6-apparmor-caps.patch obsoleted

Revision 1.441.2.1991  2008/10/29 00:46:16  zbyniu
- kernel-grsec_fixes.patch is back

Revision 1.441.2.1990  2008/10/27 07:04:39  pluto
- CVE note for 2.6.27.4.

Revision 1.441.2.1989  2008/10/26 22:08:57  mguevara
- up to 2.6.27.4-0.1; builds --without grsecurity
  ext[234]: Avoid printk floods in the face of directory corruption (CVE-2008-3528)

Revision 1.441.2.1988  2008/10/24 09:33:26  pluto
- vserver patch for 2.6.27.3.

Revision 1.441.2.1987  2008/10/23 14:17:01  mguevara
- up to 2.6.27.3-0.1; builds --without tuxonice, vserver and grsecurity

Revision 1.441.2.1986  2008/10/23 00:43:31  mguevara
- added back the (updated) kernel-wrr.patch /patch52/

Revision 1.441.2.1985  2008/10/20 19:32:10  pluto
- wrr needs port to 2.6.27 net-api.

Revision 1.441.2.1984  2008/10/20 17:59:10  qboosh
- no pre/rc versions from this branch - so drop such macros and be more distfiles-friendly
- dropped excessive _underscores

Revision 1.441.2.1983  2008/10/20 13:55:17  pluto
- reenable esfq patch for testing.

Revision 1.441.2.1982  2008/10/20 13:31:14  sparky
- use kernel-patches.config, few cosmetics

Revision 1.441.2.1981  2008/10/20 10:18:56  pluto
- reenable updated pf_ring patch.

Revision 1.441.2.1980  2008/10/19 22:55:58  sparky
- use common kernel-{powerpc,x86}.config files

Revision 1.441.2.1979  2008/10/19 20:25:52  sparky
- kernel-config.awk: specify prefered archs as list

Revision 1.441.2.1978  2008/10/19 19:15:22  sparky
- up to 2.6.27.2
- disabled broken patches
- rename char/drm to gpu

Revision 1.441.2.1977  2008/10/17 09:54:37  pluto
- O: s/mISDN/kernel%{_alt_kernel}-isdn-mISDN/

Revision 1.441.2.1976  2008/10/17 09:43:13  pluto
- O: kernel-net-ar81, mISDN.

Revision 1.441.2.1975  2008/10/17 09:30:07  pluto
- jump to 2.6.27.1, grsecurity,vserver,tuxonice,ipvs-nfct patchset needs update.
- previous kernel state branched as LINUX_2_6_26.

Revision 1.441.2.1974  2008/10/13 12:42:19  blues
- CVE notes for 2.6.26.4

Revision 1.441.2.1973  2008/10/09 09:21:58  zbyniu
- up to 2.6.26.6 (devil's edition)

Revision 1.441.2.1972  2008/09/28 23:31:22  sparky
- disable pcmcia when building without pcmcia, duh!

Revision 1.441.2.1971  2008/09/28 14:40:32  sparky
- when building with debug die if script found any redefined values

Revision 1.441.2.1970  2008/09/28 11:56:58  sparky
- add config change tracking, script warns if make oldconfig has redefined
  any option

Revision 1.441.2.1969  2008/09/27 22:37:44  sparky
- no more TuneUpConfigForIX86, ix86 subarchitecture optimization info is
  specified in kernel-i386.config
- pae moved to imporatnt.config

Revision 1.441.2.1968  2008/09/27 00:27:17  sparky
- fix cross-building when host is ppc or ppc64
- define HOSTCC

Revision 1.441.2.1967  2008/09/26 21:13:54  sparky
- remove useless CONFIG_TOI=n on ppc, it's value is allways set to 'y' if
  CONFIG_TOI_CORE is set

Revision 1.441.2.1966  2008/09/26 21:10:00  sparky
- allow building UP kernel (on request only), there still are features broken
  on SMP, like hibernation in powerpc

Revision 1.441.2.1965  2008/09/26 19:14:59  sparky
- CONFIG_DEBUG_SLAB_LEAK=y when building debug kernel

Revision 1.441.2.1964  2008/09/26 19:13:55  sparky
- pass all the config files through kernel-config.awk
- tested on number of different bcond combinations the result is the same as before

Revision 1.441.2.1963  2008/09/25 10:17:51  pluto
- toshiba acpi patch updated.

Revision 1.441.2.1962  2008/09/25 08:37:30  pluto
- O: kernel-misc-uvc.

Revision 1.441.2.1961  2008/09/25 08:30:53  pluto
- O: kernel-misc-acer_acpi.

Revision 1.441.2.1960  2008/09/25 08:27:53  pluto
- O: kernel-net-rt61.

Revision 1.441.2.1959  2008/09/23 12:29:26  pluto
- typo.

Revision 1.441.2.1958  2008/09/23 12:09:31  zbyniu
- netfilter modules back

Revision 1.441.2.1957  2008/09/23 12:05:34  pluto
- drop bootsplash, it works only with vesafb which is disabled in pld.
- update fbcondecor bcond and config tuning.

Revision 1.441.2.1956  2008/09/23 11:30:11  pluto
- update taho9xx patch.

Revision 1.441.2.1955  2008/09/22 11:37:57  pluto
- fix uvesafb_vbe_getmodes() for some broken bioses.
- prevent black-screen-of-death when vga=.. is passed w/o any builtin vesa driver.

Revision 1.441.2.1954  2008/09/19 12:07:06  pluto
- sources += arch/*/kvm

Revision 1.441.2.1953  2008/09/19 01:43:06  sparky
- multiarch.config takes precedence over arch-specific config

Revision 1.441.2.1952  2008/09/19 00:43:57  sparky
- use kernel-config.awk; drop python dependancy

Revision 1.441.2.1951  2008/09/18 09:28:41  pluto
- vs22: not applicable, not usable, buuum!

Revision 1.441.2.1950  2008/09/16 20:32:48  blues
- CVE note

Revision 1.441.2.1949  2008/09/12 12:34:52  pluto
- updated to 2.6.26.5
  [fix: TKADV2008-007/CVE-2008-3792, CVE-2008-4445, CVE-2008-4113]

Revision 1.441.2.1948  2008/09/12 09:29:27  pluto
- drop kernel-pom-ng-set.patch and use xtables-addons-1.5.7 from now.

Revision 1.441.2.1947  2008/09/11 21:18:52  pluto
- unionfs patch updated.

Revision 1.441.2.1946  2008/09/08 20:05:21  pluto
- ahci patch updated. now you can use marvell_enable=0 to prevent device takeover.

Revision 1.441.2.1945  2008/09/08 15:26:58  pluto
- disable -tproxy patch with suitable note.

Revision 1.441.2.1944  2008/09/08 12:46:03  pluto
- tuxonice updated to 3.0-rc7a.

Revision 1.441.2.1943  2008/09/08 12:07:19  pluto
- new vserver patch (patch-2.6.26.3-vs2.3.0.35.5.diff).
- unionfs patch needs update but download doesn't work.

Revision 1.441.2.1942  2008/09/08 09:23:10  pluto
- kernel-routes.patch updated.

Revision 1.441.2.1941  2008/09/08 09:03:10  pluto
- fetch 2.6.26.3 stable.

Revision 1.441.2.1940  2008/09/08 08:52:21  pluto
- drop kabi idea like in LINUX_2_6_25 branch.

Revision 1.441.2.1939  2008/09/06 10:42:27  pluto
- move kernel/bounds.c to module-build subpackage.
  build scripts use it:
  (...)
  CC      kernel/bounds.s
  GEN     include/linux/bounds.h

Revision 1.441.2.1938  2008/09/06 10:29:10  pluto
- fix ahci bug (don't cover pata_marvell devices).

Revision 1.441.2.1937  2008/07/14 23:57:01  areq
- commented patches demanding update
- now build on i686 --without vserver --without grsec_minimal --without grsecurity
                    --without tuxonice --without reiser4 --without imq

Revision 1.441.2.1936  2008/07/14 19:20:02  arekm
- initial up to 2.6.26

Revision 1.441.2.1935  2008/07/14 10:34:50  arekm
- up to 2.6.25.11

Revision 1.441.2.1934  2008/07/03 09:17:13  glen
- use underscore in kernel release for KABI to be a lit less misleading

Revision 1.441.2.1933  2008/07/03 08:53:23  arekm
- up to 2.6.25.10

Revision 1.441.2.1932  2008/07/02 14:19:03  glen
- add vermagic provide

Revision 1.441.2.1931  2008/06/28 17:43:44  shadzik
- rel 4

Revision 1.441.2.1930  2008/06/28 15:50:13  arekm
- rel 3; abi 2; rebuild with gcc 4.3.1

Revision 1.441.2.1929  2008/06/25 22:33:06  arekm
- rel 2; fix vserver bug where signals from one guest could reach other guest

Revision 1.441.2.1928  2008/06/25 21:39:02  vip
- disable tproxy path when w/o vserver (it fails to apply)

Revision 1.441.2.1927  2008/06/25 11:02:10  arekm
- up to 2.6.25.9; backport security= option

Revision 1.441.2.1926  2008/06/23 20:11:16  arekm
- rel 2; fix pcmcia split (no duplication of files; move b1pcmcia to pcmcia subpkg)

Revision 1.441.2.1925  2008/06/23 20:05:42  arekm
- uboot-mkimage neede on ppc build (arch/powerpc/boot/wrapper uses it)

Revision 1.441.2.1924  2008/06/23 09:29:59  arekm
- KABI 1 since this is new kernel in th

Revision 1.441.2.1923  2008/06/23 08:56:39  arekm
- fix ppc build

Revision 1.441.2.1922  2008/06/22 19:21:48  arekm
- up to 2.6.25.8

Revision 1.441.2.1921  2008/06/17 04:40:34  glen
- correct commit log

Revision 1.441.2.1920  2008/06/16 21:33:40  arekm
- up to 2.6.25.7

Revision 1.441.2.1919  2008-06-09 20:22:25  arekm
- vs2.3 based on patch-2.6.25.4-vs2.3.0.34.11.diff

Revision 1.441.2.1918  2008-06-09 20:05:32  arekm
- 2.6.25.6

Revision 1.441.2.1917  2008-06-09 15:51:52  arekm
- rel 1.1

Revision 1.441.2.1916  2008-06-08 10:24:44  arekm
- mention apparmor in release

Revision 1.441.2.1915  2008-06-07 10:59:53  arekm
- up to 2.6.25.5 (CVE-2008-1673)

Revision 1.441.2.1914  2008-05-29 14:20:20  zbyniu
- shy apparmor back, needs testing so bconded

Revision 1.441.2.1913  2008-05-26 15:45:44  zbyniu
- bcond myown; fixed %files on sparc

Revision 1.441.2.1912  2008-05-24 10:17:18  zbyniu
- symbol consistency between packages completed

Revision 1.441.2.1911  2008-05-23 22:03:46  zbyniu
- vserver and pax (in grsec_full) updated; rel 2

Revision 1.441.2.1910  2008-05-23 11:56:58  zbyniu
- old pom-ng patches: TARPIT, IPMARK, geoip, ipp2p, use new ported versions from external spec - xtables-addons
- ipt_SAME module lost, needed?; rel 1

Revision 1.441.2.1909  2008-05-21 17:15:00  zbyniu
- bcond without regparm not needed anymore

Revision 1.441.2.1908  2008-05-20 20:13:44  zbyniu
- grsec_full ready, owner-xid and imq back

Revision 1.441.2.1907  2008-05-19 17:32:37  zbyniu
- fix _alt_kernel in %post, now works as expected; rel 0.2

Revision 1.441.2.1906  2008-05-19 10:27:10  zbyniu
- esfq updated, patch531 obsoleted
- grsec_full updated, linux-2.6-grsec-caps.patch is back, kernel-grsec_fixes.patch needs update

Revision 1.441.2.1905  2008-05-18 21:08:49  glen
- PAE needs pentium pro or above according to wikipedia

Revision 1.441.2.1904  2008-05-18 19:07:09  glen
- pae is %ix86 only said zbyniu

Revision 1.441.2.1903  2008-05-18 00:13:38  zbyniu
- patches update

Revision 1.441.2.1902  2008-05-16 12:00:28  zbyniu
- typo

Revision 1.441.2.1901  2008-05-16 09:04:37  zbyniu
- updated to 2.6.25.4
- tproxy patch depends on vserver, so don't use with rescue kernel

Revision 1.441.2.1900  2008-05-14 21:47:32  dzeus
- added ZPH support (for SQUID3)

Revision 1.441.2.1899  2008-05-14 17:36:03  zbyniu
- tproxy patch added, applied after vserver because of small conflicts

Revision 1.441.2.1898  2008-05-14 09:27:56  lmasko
- Cleaned mess in geninitrd line.

Revision 1.441.2.1897  2008-05-12 21:38:59  zbyniu
- %files updated; ipt_ROUTE is back; rel 0.3

Revision 1.441.2.1896  2008-05-12 14:17:34  zbyniu
- abi and sk78lin moved to external specs
- end of my little psychological test, conclusion: nobody read this spec since 7 months ;->

Revision 1.441.2.1895  2008-05-10 10:52:42  zbyniu
- "make everything as simple as possible, but not simpler"

Revision 1.441.2.1894  2008-05-10 08:21:34  zbyniu
- up to 2.6.25.3; TODO updated
- ppc-export-copy_page.patch in mainline
- ppc & ppc64 crosscompilation corrected

Revision 1.441.2.1893  2008-05-08 11:20:00  zbyniu
- saa7134-oss.ko no longer exists
- ipt_ROUTE needs update; builds w/o imq @686

Revision 1.441.2.1892  2008-05-08 09:37:01  zbyniu
- cleanup

Revision 1.441.2.1891  2008-05-07 23:05:57  zbyniu
- start update to 2.6.25.2; 2.6.24 now on branch LINUX_2_6_24

Revision 1.441.2.1890  2008-05-07 10:59:18  zbyniu
- up to 2.6.24.7; rel 1

Revision 1.441.2.1889  2008-05-07 10:08:12  zbyniu
- remove unnecessary dir with dead symlink

Revision 1.441.2.1888  2008-05-06 07:44:40  zbyniu
- suffix -pae to alt_kernel if with_pae
- additional symlinks in /boot if alt_kernel

Revision 1.441.2.1887  2008-05-05 23:10:56  zbyniu
- up to 2.6.24.6
- reverted "little fix for /boot symlinks (support alt_kernel, drop .old trash)" from rel 1.441.2.1862

Revision 1.441.2.1886  2008-05-05 07:48:05  pluto
- move saa7134-oss.ko to sound-oss subpackage.

Revision 1.441.2.1885  2008-04-24 10:12:51  zbyniu
- updated fbsplash, renamed to fbcondecor as patch/project name

Revision 1.441.2.1884  2008-04-23 19:05:27  zbyniu
- typo

Revision 1.441.2.1883  2008-04-23 18:51:15  glen
- %install not %build (found by qyon)

Revision 1.441.2.1882  2008-04-23 10:21:27  glen
- sorted EA items

Revision 1.441.2.1881  2008-04-23 09:58:16  zbyniu
- better conditions for pax/no-pax & tuxonice configs

Revision 1.441.2.1880  2008-04-23 09:40:54  glen
- better explanation (English)

Revision 1.441.2.1879  2008-04-23 09:34:36  glen
- package build,source %ghost as files (this was soooo hard change to make)

Revision 1.441.2.1878  2008-04-23 09:30:15  hawk
- revert killing %ghost /lib/modules/%{kernel_release}/{build,source},
  screw broken directory deps, -EIDONTCAREANYMORE

Revision 1.441.2.1877  2008-04-21 14:27:36  pluto
- don't req. -headers in -doc.

Revision 1.441.2.1876  2008-04-21 13:54:30  zbyniu
- please don't break Makefiles; make archclean is the way

Revision 1.441.2.1875  2008-04-21 10:34:19  hawk
- killed creating arch/{i386,x86_64}/boot symlinks in makefiles, causes broken
  directory deps in -source subpackage
- killed %ghost /lib/modules/%{kernel_release}/{build,source}, causes broken
  directory deps like /home/users/builder/rpm/BUILD/linux-2.6.24 in main
  kernel package

Revision 1.441.2.1874  2008-04-21 03:07:31  zbyniu
- cleanup in %install

Revision 1.441.2.1873  2008-04-20 19:01:52  zbyniu
- no gadgets on rescue

Revision 1.441.2.1872  2008-04-20 18:42:08  zbyniu
- up to 2.6.24.5

Revision 1.441.2.1871  2008-04-20 17:55:32  areq
- for rescue:
        CONFIG_BLK_DEV_LOOP=y
        CONFIG_ISO9660_FS=y
        CONFIG_NLS_UTF8=y

Revision 1.441.2.1870  2008-04-19 15:17:22  hawk
- killed two missing version macros

Revision 1.441.2.1869  2008-04-15 12:00:30  zbyniu
- grsec_caps temporary disabled

Revision 1.441.2.1868  2008-04-15 10:34:30  zbyniu
- modules dependent on pcmcia/alsa moved to subpackages (not all done); rel 0.3

Revision 1.441.2.1867  2008-04-12 22:40:47  zbyniu
- netfilter modules: u32, connlimit and time now in mainline, ported to xtables

Revision 1.441.2.1866  2008-04-12 00:03:07  zbyniu
- _alt_kernel cleanup

Revision 1.441.2.1865  2008-04-09 13:58:59  shadzik
- german fixes

Revision 1.441.2.1864  2008-04-09 13:47:33  shadzik
- missing comma in german description

Revision 1.441.2.1863  2008-04-09 12:52:17  pluto
- s/subname/__alt_kernel/

Revision 1.441.2.1862  2008-04-09 11:33:29  pluto
- backport vesa related fix from 2.6.25-rcX.
- little fix for /boot symlinks (support alt_kernel, drop .old trash).

Revision 1.441.2.1861  2008-04-09 01:04:27  zbyniu
- merged KABI, module-build symlinks from LINUX_2_6_22

Revision 1.441.2.1860  2008-04-08 23:44:18  zbyniu
- macro %{Features}, de.UTF-8 summaries and descs (from kernel-desktop.spec)

Revision 1.441.2.1859  2008-03-30 20:02:02  zbyniu
- experimental vserver 2.3 patch for 2.6.24
- linux-2.6-vs2.1-suspend2.patch obsoleted; rel 0.2

Revision 1.441.2.1858  2008-03-25 01:11:23  zbyniu
- up to 2.6.24.4, if_addrlabel.h.patch obsoleted

Revision 1.441.2.1857  2008-03-20 13:18:24  pluto
- NOTE cleanup.

Revision 1.441.2.1856  2008-03-20 11:41:54  zbyniu
- vesafbs cleanups

Revision 1.441.2.1855  2008-03-19 14:29:49  zbyniu
- new define defconfig, s@arch/%{target_arch_dir}/defconfig@%{defconfig}@g

Revision 1.441.2.1854  2008-03-18 00:51:13  zbyniu
- vesafb-tng project renamed to uvesafb for .24

Revision 1.441.2.1853  2008-03-17 22:09:19  zbyniu
- fbsplash bcond repaired

Revision 1.441.2.1852  2008-03-13 19:31:51  zbyniu
- rtsp-conntrack/nat is back

Revision 1.441.2.1851  2008-03-13 16:16:03  zbyniu
- kill more modules if with rescuecd

Revision 1.441.2.1850  2008-03-13 00:31:06  zbyniu
- support for bzip2/lzma packed kernel/initrd (for rescuecd)

Revision 1.441.2.1849  2008-03-12 19:44:52  zbyniu
- force w/o abi grsec vserver tuxonice if with rescuecd

Revision 1.441.2.1848  2008-03-12 02:00:38  zbyniu
- idea: build kernel for rescuecd from this spec (as rescuecd bcond)
- first steps, builds, not tested

Revision 1.441.2.1847  2008-02-28 13:11:56  zbyniu
- up to 2.6.24.3, kernel-if_addrlabel.h.patch reverts one small part

Revision 1.441.2.1846  2008-02-26 16:10:58  zbyniu
- one more missing x86_32 header

Revision 1.441.2.1845  2008-02-26 02:40:50  zbyniu
- squashfs and imq patches updated; cleanups; rel 0.5

Revision 1.441.2.1844  2008-02-26 02:01:28  zbyniu
- kernel-grsec_fixes.patch added; hardening grsec options if with pax

Revision 1.441.2.1843  2008-02-25 23:01:04  zbyniu
- grsec_full.patch is ready; PaX config magic cleanup; rel 0.4

Revision 1.441.2.1842  2008-02-21 13:00:44  mguevara
- 2.6.24.2-0.3 aka "iptables doesn't hang my machine"
- updated patch300 kernel-routes-2.6.24-15.diff

Revision 1.441.2.1841  2008-02-12 08:32:05  glen
- R: /sbin/depmod, instead of conflicting on vserver-packages

Revision 1.441.2.1840  2008-02-11 21:05:21  zbyniu
- ppc-export-copy_page.patch added, builds on ppc

Revision 1.441.2.1839  2008-02-11 08:15:22  arekm
- up to 2.6.24.2 (official vmsplice fix)

Revision 1.441.2.1838  2008-02-10 20:56:29  arekm
- vmsplice fixes (local root exploit)

Revision 1.441.2.1837  2008-02-08 22:44:22  glen
- 2.6.24.1 (CVE-2008-0007, CVE-2008-0009/10)

Revision 1.441.2.1836  2008-02-01 23:48:55  zbyniu
- owner-xid.patch is vserver related

Revision 1.441.2.1835  2008-01-31 18:32:15  qboosh
- arch/x86/kernel/asm-offsets_{32,64}.c needed in -module-build

Revision 1.441.2.1834  2008-01-28 18:34:28  qboosh
- missing ifnarchs

Revision 1.441.2.1833  2008-01-28 18:33:39  qboosh
- cleanup

Revision 1.441.2.1832  2008-01-28 18:26:08  qboosh
- s/_target_base_arch_dir/target_arch_dir/ (nothing to do with "base")
- handle ppc* -> powerpc case

Revision 1.441.2.1831  2008-01-28 02:08:53  zbyniu
- info about pax.patch updated, TODO updated, rel 0.3

Revision 1.441.2.1830  2008-01-27 23:13:10  zbyniu
- some changes ported from LINUX_2_6_22 (bcond_without ipv6, ipvs-nfct.patch
  rndis_host-wm5.patch)
- kernel-pom-ng-ROUTE.patch is back

Revision 1.441.2.1829  2008-01-26 15:49:46  arekm
- 2.6.24 final
